<?php
// ini_set("display_errors", "1");
// error_reporting(E_ALL);

header('Access-Control-Allow-Origin: *');
require_once("Rest.inc.php");
require_once '../init.php';

class djax_adrequests extends REST
{
	function djax_adrequest()
	{		
		$zoneid=isset($this->_request['zoneid'])?$this->_request['zoneid']:'';
		$hb_price=isset($this->_request['hb_price'])?$this->_request['hb_price']:'';

		
		if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql') {
			require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
		} 
		else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli') {
			require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
		}
		$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
		//Invalid or Invalid 
		$djax_input_header_data=$this->getallheaders();
		

		$zoneids=explode(',',$zoneid);
		
		foreach($zoneids as $values)
		{
			$zoneid=$values;
		
			if(empty($zoneid) )
			{
				return $this->response('Invalid Input,More Inputs required',400); 
			}
		
		}
		$input_post_parameters = array(
			'zoneid'=>urlencode($zoneid),
			'hb_price'=>urlencode($hb_price)
		);
		
	
		
		if($custom_param) {
			$input_post_parameters=array_merge($input_post_parameters,$custom_param);
		}
		
		
		$conf = $GLOBALS['_MAX']['CONF']['webpath']['delivery'];						
		$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
		
		
		 $url= $protocol.$conf."/response.php";
		 
		 		

		
		header('Content-type: text/json');
		header('Content-type: application/json');
        
		$additiona_param=$_GET;


		
		$totalparam=array_merge($input_post_parameters,$additiona_param);
		
	
		$totalparam['zoneid']=$zoneid;
	
		$ch = curl_init($url);     
		
		curl_setopt($ch, CURLOPT_POST, 1);
	
		curl_setopt($ch, CURLOPT_HEADER,'TRUE');
		curl_setopt($ch, CURLOPT_POSTFIELDS,$totalparam);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		 
		$results[]=json_decode(curl_exec($ch));
		// $results[] =curl_exec($ch);
		curl_close($ch);
		
	  
	 

	  $djax_response=array(
						'response'=>'success',
						'ads'=> $results
						);
							
			
	   if(!empty($djax_response))
		{	
				
			print_r(json_encode($djax_response));
            
		}
		else
		{
			return $this->response('No ads avilable',204); 
		}
        
	}

	
	
    function getallheaders()
    {
        $headers = array();

        foreach ($_SERVER as $name => $value)
        {
		    if (substr($name, 0, 5) == 'HTTP_')
		    {
		       $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
		    }
        }

       return $headers;
    }
	


}
 function OX_Delivery_logMessage()
 {
	 return true;
 }
$obj=new djax_adrequests();

$results= $obj->djax_adrequest();

print_r($results);
		exit;
?>
