//
//  GifImageViewController.swift
//  Project_Demo
//
//  Created by Djax on 03/03/23.
//

import UIKit
import SDK_Lib
import WebKit
import AVFoundation

class GifImageViewController: UIViewController {
    
    @IBOutlet weak var popUpWebView: WKWebView!
    @IBOutlet weak var gifView: UIView!
    var zoneId_Gifimage : String = ""
    var fromPage : String = ""

    var adResponse = AdResponse()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = UIColor.white
        self.gifView.isHidden = true

        adResponse.viewDelegate = self
        adResponse.popupAdIntegration()
        
        let tap = UITapGestureRecognizer(target: self, action: #selector(self.handleTap(_:)))
        self.view.addGestureRecognizer(tap)
    }
    @objc func handleTap(_ sender: UITapGestureRecognizer? = nil) {
        self.gifView.isHidden = true
    }
}
extension GifImageViewController : ViewUpdateDelegate {
    func updateView(view: UIView) {
        gifView.isHidden = false
        gifView?.addSubview(view)
        self.view.addSubview(view)
    }
}
