<?php
function renderOutput_inlineVast1( $aOut, $pluginType, $vastAdDescription,$format)
{
    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Reviveadservermod.com';

    $adName = $aOut['name'];
    $player = "";
    $player .= "<Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "<InLine>";
    $player .= "<AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "<AdTitle><![CDATA[$adName]]></AdTitle>\n";
    $player .= "<Description><![CDATA[$vastAdDescription]]></Description>\n";
    $player .= "<Impression>";
    $player .= "<URL id=\"primaryAdServer\"><![CDATA[${aOut['impressionUrl']}]]></URL>";
 $player .= "</Impression>";
    if(!empty($aOut['thirdPartyImpressionUrl'])) {
  $player .= "<Impression>";
        $player .= "<URL id=\"secondaryAdServer\"><![CDATA[${aOut['thirdPartyImpressionUrl']}]]></URL>";
   $player .= "</Impression>";
    }
    if ( isset($aOut['companionMarkup'])  ){
        if(!empty($aOut['companionClickUrl'])) {
            $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
            $CompanionClickThrough .= "                        <URL><![CDATA[${aOut['companionClickUrl']}]]></URL>\n";
            $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
        }
        //debugdump( '$companionOutput', $companionOutput );
        $player .= "             <CompanionAds>\n";
        $player .= "                <Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" resourceType=\"HTML\">\n";
        $player .= "                    <Code><![CDATA[${aOut['companionMarkup']}]]></Code>\n";
        $player .= "					$CompanionClickThrough";
        $player .= "                </Companion>\n";
        $player .= "            </CompanionAds>\n";
    }

    if ( $pluginType == 'vastOverlay') {
        $code = $resourceType = $creativeType = $elementName = '';
        switch($aOut['overlayFormat']) {
            case VAST_OVERLAY_FORMAT_HTML:
                $code = "<![CDATA[". $aOut['overlayMarkupTemplate'] . "]]>";
                $resourceType = 'HTML';
                $elementName = 'Code';
            break;

            case VAST_OVERLAY_FORMAT_IMAGE:
                $creativeType = strtoupper($aOut['overlayContentType']);
                // BC when the overlay_creative_type field is not set in the DB
                if(empty($creativeType)) {
                    $creativeType = strtoupper(substr($aOut['overlayFilename'], -3));
                    // case of .jpeg files OXPL-493
                    if($creativeType == 'PEG') {
                        $creativeType = 'JPEG';
                    }
                }
                if($creativeType == 'JPEG') {
                    $creativeType = 'JPG';
                }
                $creativeType = 'image/'.$creativeType;
                $code = getImageUrlFromFilename($aOut['overlayFilename']);
                $resourceType = 'static';
                $elementName = 'URL';
            break;

            case VAST_OVERLAY_FORMAT_SWF:
                $creativeType = 'application/x-shockwave-flash';
		$vpaid_swf='apiFramework="VPAID"';
                $code = getImageUrlFromFilename($aOut['overlayFilename']);
                $resourceType = 'static';
                $elementName = 'URL';
            break;

            case VAST_OVERLAY_FORMAT_TEXT:
                $resourceType = 'TEXT';
                $code = "<![CDATA[
                	<Title>".xmlspecialchars($aOut['overlayTextTitle'])."</Title>
               		<Description>".xmlspecialchars($aOut['overlayTextDescription'])."</Description>
               		<CallToAction>".xmlspecialchars($aOut['overlayTextCall'])."</CallToAction>
               		]]>
               ";
                $elementName = 'Code';
            break;
        }

   		if(!empty($aOut['clickUrl']) && (strpos($aOut['clickUrl'], '&dest=') !== false)) 
		{
            $nonLinearClickThrough = "<NonLinearClickThrough>
                    <URL><![CDATA[${aOut['clickUrl']}]]></URL>
                </NonLinearClickThrough>\n";
        }

        $creativeTypeAttribute = '';
        if(!empty($creativeType)) {
            $creativeType = strtolower($creativeType);
            $creativeTypeAttribute = 'creativeType="'. $creativeType .'"';
        }

        $player .= "             <NonLinearAds>\n";
        $player .= "                <NonLinear id=\"overlay\" $vpaid_swf maintainAspectRatio=\"true\" scalable=\"true\" width=\"${aOut['overlayWidth']}\" height=\"${aOut['overlayHeight']}\" resourceType=\"$resourceType\" $creativeTypeAttribute>\n";
        $player .= "                    <$elementName><![CDATA[$code]]></$elementName>\n";
        $player .= "                    $nonLinearClickThrough";
        $player .= "                </NonLinear>\n";
        $player .= "            </NonLinearAds>\n";
    }


    if ( isset($aOut['fullPathToVideo']) ){
        $player .= djaxgetVastVideoAdOutput($aOut);
    }
    $player .= "        </InLine>\n";
    $player .= "    </Ad>\n";
    return $player;
}


function renderOutput_inlineVast2( $aOut, $pluginType, $vastAdDescription,$format)
{
    $adSystem =  $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Reviveadservermod.com';
    $adName = $aOut['name'];
    $player = "";
    $player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "        <InLine>";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
    $player .= "<Impression>";
    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
    $player .= "</Impression>";
	
    if(!empty($aOut['thirdPartyImpressionUrl'])) {
	    $player .= "<Impression>\n";
        $player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>\n";
		$player .= "</Impression>\n";
    }
  

	$player.="<Creatives>";

	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                        <URL><![CDATA[${aOut['companionClickUrl']}]]></URL>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				}

				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];

					if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}

				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";

				$player.="<Creative sequence=\"1\"><CompanionAds><Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" $expand_width $expand_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}

    if ( isset($aOut['fullPathToVideo']) )
	{
        $player .= getVast2VideoAdOutput($aOut);
    }
    $player.="</Creatives>";
    $player .= "        </InLine>\n";
    $player .= "    </Ad>\n";
    
   // print_r($player);die("dd");
    return $player;
}

function renderOutput_inlineVast3( $aOut, $pluginType, $vastAdDescription,$format,$sequence)
{

    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Reviveadservermod.com';
    $adName = $aOut['name'];
    $player = "";

	if($format=='vast_pod')
	{
    	$player .= "<Ad id=\"{player_allocated_ad_id}\" sequence=\"$sequence\">";
	}
	else
	{
	$player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
	}
    $player .= "        <InLine>";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
		if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}
    $player .= "<Impression>";
    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
$player .= "</Impression>";
  if(!empty($aOut['thirdPartyImpressionUrl'])) {
	   $player .= "<Impression>";
        $player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
  $player .= "</Impression>";
    }

	$player.="<Creatives>";

	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= '<CompanionClickTracking>
							  <![CDATA['.$aOut['vast_thirdparty_companion_clicktracking'].']]>
							</CompanionClickTracking> ';
				    	}
				}


				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];


					if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}

				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";

				$player.="<Creative sequence=\"1\"><CompanionAds><Companion id=\"companion\"  width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" $expand_width $expand_height ><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}

    	if ( isset($aOut['fullPathToVideo']) )
	{
        $player .= getVast3VideoAdOutput($aOut);
    	}
    $player.="</Creatives>";
    $player .= "        </InLine>\n";
    $player .= "    </Ad>\n";
    return $player;


}



function getVast3VideoAdOutput($aO)
{
	$conf = $GLOBALS['_MAX']['CONF'];
      
    $videopath= $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' . $conf['webpath']['imagesSSL'] : 'http://' .  $conf['webpath']['imagesSSL'];
	
	if($aO['vid_upload_type']=="Internal")
	{
		 $aO['fullPathToVideo']= $videopath.'/'.$aO['fullPathToVideo'];
		  $aO['videoFileName']= $videopath.'/'.$aO['videoFileName'];	 
	}
	
		if($aO['vastVideoType']=='video/x-mp4')
		{
			$aO['vastVideoType']='video/mp4';
		}
	    if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&dest=') !== false)) 
		{
			if(!empty($aO['vast_thirdparty_clicktracking'])) 
			{
				$videoClickstrackVast = '<ClickTracking>
					  <![CDATA['.$aO['vast_thirdparty_clicktracking'].']]>
					</ClickTracking> ';
		    }
			if(!empty($aO['vast_thirdparty_clickcustom'])) {
				$videocustomClicksVast = '<CustomClick>
					 <![CDATA['.$aO['vast_thirdparty_clickcustom'].']]>
					</CustomClick >';
		    }
			$videoClicksVast = '<VideoClicks>
			        <ClickThrough>
			          <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
			        </ClickThrough> '.$videoClickstrackVast.$videocustomClicksVast.'
			    </VideoClicks>';
    	}
		if(!empty($aO['vast_video_skip_duration']))
		{
			$skip='skipoffset='.'"'.$aO['vast_video_skip_duration'].'"';
		}
		else
		{
			$skip='';
		}

		if(!empty($aO['vast_video_skip_progress_duration']))
		{
			$progress='offset='.'"'.$aO['vast_video_skip_progress_duration'].'"';
		}
		else
		{
			$progress='';
		}
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid">
				 <Linear $skip>
				    <Duration>${aO['vastVideoDuration']}</Duration>
				    <TrackingEvents>
				      <Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
				      <Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
				      <Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
				      <Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
				      <Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
				      <Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
				      <Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
				      <Tracking event="fullscreen"><![CDATA[${aO['trackUrlFullscreen']}]]></Tracking>
				      <Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
				      <Tracking event="closeLinear"><![CDATA[${aO['trackUrlcloseLinear']}]]></Tracking>
				      <Tracking event="acceptInvitationLinear"><![CDATA[${aO['trackUrlacceptInvitationLinear']}]]></Tracking>
				      <Tracking event="skip"><![CDATA[${aO['trackUrlskip']}]]></Tracking>
				      <Tracking event="progress" $progress><![CDATA[${aO['trackUrlprogress']}]]></Tracking>
				      <Tracking event="exitFullscreen"><![CDATA[${aO['trackUrlexitFullscreen']}]]></Tracking>
				      <Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
                   	 <Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>	
				    </TrackingEvents>
				 	$videoClicksVast
				    <MediaFiles>
					<MediaFile delivery="${aO['vastVideoDelivery']}" bitrate="${aO['vastVideoBitrate']}" width='640' height='360' type="${aO['vastVideoType']}" scalable="true" maintainAspectRatio="true">
				      <![CDATA[${aO['fullPathToVideo']}]]>
				      </MediaFile>
				    </MediaFiles>
				</Linear>
			</Creative>

VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
}


function getVast4VideoAdOutput($aO,$mediaid,$aBanner)
{
		$api = $_GET['api'];
		$iprog = $_GET['iprog'];
		$icontype = $aBanner['vast_icon_filename'];
		$icontype1 = end(explode('.',basename($aO['icon_url'])));
		// $icontype1 = (($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) ? 'image/jpeg' :  ((($icontype1 == 'png') ? 'image/png' : (($icontype1 == 'gif') ? 'Image/gif' : '') ? 'image/htm' : (($icontype1 == 'htm') ? 'Image/htm' : '')   ));
		
		if(($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) {
			$icontype1 = 'image/jpeg';
		} else if($icontype1 == 'png') {
			$icontype1 = 'image/png';
		} else if($icontype1 == 'gif') {
			$icontype1 = 'image/gif';
		} else if($icontype1 == 'htm') {
			$icontype1 = 'image/htm';
		}
		
		
		$conf = $GLOBALS['_MAX']['CONF'];
      
		$videopath= $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' . $conf['webpath']['imagesSSL'] : 'http://' .  $conf['webpath']['imagesSSL'];
		//print_r($aO);exit;
		if($aO['vid_upload_type']=="Internal")
		{
			
			//die("sss");
			if($aO['is_mezzininefile'] != 1) {
			 $aO['fullPathToVideo']= $videopath.'/'.$aO['fullPathToVideo'];
			  $aO['videoFileName']= $videopath.'/'.$aO['videoFileName'];
		  }	
		  else {
				$aO['fullPathToVideo'] = str_replace('http','https',$aO['fullPathToVideo']);
			} 	
		} 
		
		if($aO['vast4_max_bitrate'])
		{
			$maxbitrate='maxBitrate='.'"'.$aO['vast4_max_bitrate'].'"';
		}
		if($aO['vast4_min_bitrate'])
		{
			$minbitrate='minBitrate='.'"'.$aO['vast4_min_bitrate'].'"';
		}

		if($aBanner['vast_video_type']=='video/x-mp4')
		{
			$aBanner['vastVideoType']='video/mp4';
		}
	    if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&dest=') !== false)) 
		{
			if(!empty($aBanner['vast_thirdparty_clicktracking'])) 
			{
			$videoClickstrackVast = '<ClickTracking>
					  <![CDATA['.$aBanner['vast_thirdparty_clicktracking'].']]>
					</ClickTracking> ';
		    	}
			if(!empty($aO['vast_thirdparty_clickcustom'])) {
			$videocustomClicksVast = '<CustomClick>
					 <![CDATA['.$aBanner['vast_thirdparty_clickcustom'].']]>
					</CustomClick >';
		    	}
			$videoClicksVast = '<VideoClicks>
			        <ClickThrough>
			          <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
			        </ClickThrough> '.$videoClickstrackVast.$videocustomClicksVast.'
			    </VideoClicks>';
	    }

		if(!empty($aBanner['vast_video_skip_duration']))
		{
			$skip='skipoffset='.'"'.$aBanner['vast_video_skip_duration'].'"';
		}
		else
		{
			$skip='';
		}

		if(!empty($aBanner['vast_video_skip_progress_duration']))
		{
			$progress='offset='.'"'.$aBanner['vast_video_skip_progress_duration'].'"';
		}
		else
		{
			$progress='';
		}
		
		if(!empty($aBanner['vast_icon_filename']))
		{
			if($icontype1=='image/jpeg')
			{
				$resource='<StaticResource creativeType="'.$icontype1.'"><![CDATA['.$aBanner['vast_icon_filename'].']]></StaticResource>';
			}
			else
			{
				$resource='<HTMLResource><![CDATA['.$aBanner['vast_icon_filename'].']]></HTMLResource>';
			}

			$icon= '<Icons><Icon program="'.$iprog.'" height= "'.$aBanner['vast_icon_height'].'" width= "'.$aBanner['vast_icon_width'].'" xPosition= "'.$aBanner['vast_icon_xposition'].'" yPosition= "'.$aBanner['vast_icon_yposition'].'" apiFramework="'.$api.'" offset= "'.$aBanner['vast_icon_offset'].'" duration= "'.$aBanner['vast_icon_duration'].'">
			'.$resource.'<IconClicks>
				<IconClickThrough><![CDATA['.$aO['trackUrliconclick'].']]> </IconClickThrough>
					<IconClickTracking><![CDATA['.$aO['trackUrlicontrack'].']]></IconClickTracking>
				</IconClicks>
					<IconViewTracking>
					<![CDATA['.$aO['trackUrliconimpression'].']]>
				</IconViewTracking>
							</Icon>
							</Icons>';
		}
		/*<InteractiveCreativeFile>*/
		$interactivemediafile='';
		if(isset($aBanner['interactive_mediafile']) && !empty($aBanner['interactive_mediafile']))
		{
			$interactivemediafile= '<InteractiveCreativeFile><![CDATA['.$aBanner['interactive_mediafile'].']]></InteractiveCreativeFile>';
		}
		/*<InteractiveCreativeFile>*/
		/*<Mezzanine>*/
		
		$Mezzaninefile='';
		if($aBanner['is_mezzininefile']==1)
		{
			if($aBanner['mezzanine_en']==1 && !empty($aBanner['internal_file']))//Internal Mezzinine video file store in www/images
			{
			    $fullimagepath = $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' .$conf['webpath']['admin'] : 'http://' .  $conf['webpath']['admin'];
				$Videofilepath=$fullimagepath.'/plugins/rmvideoReport/transcoded_video/'.$aBanner['internal_file'];
				$Mezzaninefile= '<Mezzanine><![CDATA['.$Videofilepath.']]></Mezzanine>';
		    }
		    else if($aBanner['mezzanine_en']==2)//External Mezzinine video file store in www/images
			{
				$Mezzaninefile= '<Mezzanine><![CDATA['.$aBanner['url_file'].']]></Mezzanine>';
		    }
		}
		// print_r($Mezzaninefile);exit;
		/*<Mezzanine>*/
		/*Ready to Serve Files*/
		$mediafile2='';$mediafile3='';
		if(!empty($aBanner['vast_video_outgoing_filename1']))
		{
			$videofilename1=$aBanner['vast_video_outgoing_filename1'];
			$videotype1=$aBanner['vast_video_type_1'];
			$vast_video_bitrate1=$aBanner['vast_video_bitrate_1'];
			$mediafile2="<MediaFile id='$mediaid' delivery='progressive' bitrate='$vast_video_bitrate1' width='854' height='480'  $maxbitrate $minbitrate type='$videotype1' scalable='true' maintainAspectRatio='true'>
				      <![CDATA[$videofilename1]]>
				      </MediaFile>";
		}
		if(!empty($aBanner['vast_video_outgoing_filename2']))
		{
			$videofilename2=$aBanner['vast_video_outgoing_filename2'];
			$videotype2=$aBanner['vast_video_type_2'];
			$vast_video_bitrate2=$aBanner['vast_video_bitrate_2'];
			$mediafile3="<MediaFile id='$mediaid' delivery='progressive' bitrate='$vast_video_bitrate2' width='640' height='360'  $maxbitrate $minbitrate type='$videotype2' scalable='true' maintainAspectRatio='true'>
				      <![CDATA[$videofilename2]]>
				      </MediaFile>";
		}
		
		/*Ready to Serve Files*/
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid">
				 <UniversalAdId idRegistry="unknown" idValue="unknown">unknown</UniversalAdId>
				 <Linear $skip>
				    <Duration>${aO['vastVideoDuration']}</Duration>
				    <TrackingEvents>
						<Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
						<Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
						<Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
						<Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
						<Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
						<Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
						<Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
						<Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
						<Tracking event="acceptInvitationLinear"><![CDATA[${aO['trackUrlacceptInvitationLinear']}]]></Tracking>
						<Tracking event="skip"><![CDATA[${aO['trackUrlskip']}]]></Tracking>
						<Tracking event="progress" $progress><![CDATA[${aO['trackUrlprogress']}]]></Tracking>
						<Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
						<Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>
						<Tracking event="timeSpentViewing"><![CDATA[${aO['trackUrltimeSpentViewing']}]]> </Tracking>	
						<Tracking event="otherAdInteraction"><![CDATA[${aO['trackUrlotherAdInteraction']}]]> </Tracking>	
						<Tracking event="playerExpand"><![CDATA[${aO['trackUrlplayerExpand']}]]> </Tracking>	
						<Tracking event="playerCollapse"><![CDATA[${aO['trackUrlplayerCollapse']}]]> </Tracking>	
				    </TrackingEvents>
				 	$videoClicksVast
				    <MediaFiles>
					  <MediaFile id="${mediaid}" delivery="${aO['vastVideoDelivery']}" bitrate="${aO['vastVideoBitrate']}" width="640" height="480" $maxbitrate $minbitrate type="{$aBanner['vast_video_type']}" scalable="true" maintainAspectRatio="true">
				      <![CDATA[${aO['fullPathToVideo']}]]>
				      </MediaFile>
				      $mediafile2
				      $mediafile3
				      $interactivemediafile
				      $Mezzaninefile
				    </MediaFiles>
				    $icon
				</Linear>
			</Creative>
VAST_VIDEO_AD_TEMPLATE;

// echo "<pre>";print_r($aO['fullPathToVideo']);exit;

    return $vastVideoMarkup;
}


function getVast41VideoAdOutput($aO,$mediaid,$aBanner)
{
		$conf = $GLOBALS['_MAX']['CONF'];
		
		
      
    $videopath= $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' . $conf['webpath']['imagesSSL'] : 'http://' .  $conf['webpath']['imagesSSL'];
	
	
	if($aO['vid_upload_type']=="Internal")
	{
		if($aO['is_mezzininefile'] != 1) {
		 $aO['fullPathToVideo']= $videopath.'/'.$aO['fullPathToVideo'];
		  $aO['videoFileName']= $videopath.'/'.$aO['videoFileName'];
		 }
         else {
			$aO['fullPathToVideo'] = str_replace('http','https',$aO['fullPathToVideo']);
		}    
	}
	
	// echo "<pre>";print_r($aO);exit;
	
		$api = $_GET['api'];
		$iprog = $_GET['iprog'];
		$icontype = $aBanner['vast_icon_filename'];
		$icontype1 = end(explode('.',basename($aO['icon_url'])));
		//$icontype1 = (($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) ? 'image/jpeg' :  ((($icontype1 == 'png') ? 'image/png' : (($icontype1 == 'gif') ? 'Image/gif' : '') ? 'image/htm' : (($icontype1 == 'htm') ? 'Image/htm' : '')   ));
		if(($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) {
			$icontype1 = 'image/jpeg';
		} else if($icontype1 == 'png') {
			$icontype1 = 'image/png';
		} else if($icontype1 == 'gif') {
			$icontype1 = 'image/gif';
		} else if($icontype1 == 'htm') {
			$icontype1 = 'image/htm';
		}
		
		if($aO['vast4_max_bitrate'])
		{
		$maxbitrate='maxBitrate='.'"'.$aO['vast4_max_bitrate'].'"';
		}
		if($aO['vast4_min_bitrate'])
		{
		$minbitrate='minBitrate='.'"'.$aO['vast4_min_bitrate'].'"';
		}
		if($aBanner['vast_video_type']=='video/x-mp4')
		{
				$aBanner['vast_video_type']='video/mp4';
		}			    	
		if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&dest=') !== false)) 
 		{				
 			if(!empty($aBanner['vast_thirdparty_clicktracking'])) 
				{
							$videoClickstrackVast = '<ClickTracking>
						  <![CDATA['.$aBanner['vast_thirdparty_clicktracking'].']]>
							</ClickTracking> ';
			    }
				if(!empty($aO['vast_thirdparty_clickcustom'])) {
				$videocustomClicksVast = '<CustomClick>
						 <![CDATA['.$aBanner['vast_thirdparty_clickcustom'].']]>
						</CustomClick >';
			    	}
				$videoClicksVast = '<VideoClicks>
				        <ClickThrough>
				          <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
				        </ClickThrough> '.$videoClickstrackVast.$videocustomClicksVast.'
				    </VideoClicks>';
		    	}
		if(!empty($aBanner['vast_video_skip_duration']))
		{
			$skip='skipoffset='.'"'.$aBanner['vast_video_skip_duration'].'"';
		}
		else
		{
			$skip='';
		}

		if(!empty($aBanner['vast_video_skip_progress_duration']))
		{
			$progress='offset='.'"'.$aBanner['vast_video_skip_progress_duration'].'"';
		}
		else
		{
			$progress='';
		}
		
		if(!empty($aBanner['vast_icon_filename']))
		{
			if($icontype1=='image/jpeg')
			{
				$resource='<StaticResource creativeType="'.$icontype1.'"><![CDATA['.$aBanner['vast_icon_filename'].']]></StaticResource>';
			}
			else
			{
				$resource='<HTMLResource><![CDATA['.$aBanner['vast_icon_filename'].']]></HTMLResource>';
			}

			$icon= '<Icons><Icon program="'.$iprog.'" height= "'.$aBanner['vast_icon_height'].'" width= "'.$aBanner['vast_icon_width'].'" xPosition= "'.$aBanner['vast_icon_xposition'].'" yPosition= "'.$aBanner['vast_icon_yposition'].'" apiFramework="'.$api.'" offset= "'.$aBanner['vast_icon_offset'].'" duration= "'.$aBanner['vast_icon_duration'].'">
			'.$resource.'<IconClicks>
				<IconClickThrough><![CDATA['.$aO['trackUrliconclick'].']]> </IconClickThrough>
					<IconClickTracking><![CDATA['.$aO['trackUrlicontrack'].']]></IconClickTracking>
				</IconClicks>
					<IconViewTracking>
					<![CDATA['.$aO['trackUrliconimpression'].']]>
				</IconViewTracking>
							</Icon>
							</Icons>';
		}
		/*<InteractiveCreativeFile>*/
		$interactivemediafile='';
		if(isset($aBanner['interactive_mediafile']) && !empty($aBanner['interactive_mediafile']))
		{
			$interactivemediafile= '<InteractiveCreativeFile><![CDATA['.$aBanner['interactive_mediafile'].']]></InteractiveCreativeFile>';
		}
		/*<InteractiveCreativeFile>*/
		/*<Mezzanine>*/
		
		$Mezzaninefile='';
		if($aBanner['is_mezzininefile']==1)
		{
			if($aBanner['mezzanine_en']==1 && !empty($aBanner['internal_file']))//Internal Mezzinine video file store in www/images
			{
				if(strpos($aBanner['internal_file'],'mp4')>0)
				{
					$exttype='video/mp4';
				}
				else if(strpos($aBanner['internal_file'],'webm')>0)
				{
					$exttype='video/webm';
				}
				else if(strpos($aBanner['internal_file'],'ogg')>0)
				{
					$exttype='video/ogg';
				}
				else if(strpos($aBanner['internal_file'],'mp3')>0)
				{
					$exttype='audio/mpeg';
				}
				else if(strpos($aBanner['internal_file'],'ogg')>0)
				{
					$exttype='audio/ogg';
				}
				else if(strpos($aBanner['internal_file'],'m3u8')>0)
				{
					$exttype='application/x-mpegURL';
				}
			    $fullimagepath = $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' .$conf['webpath']['admin'] : 'http://' .  $conf['webpath']['admin'];
				$Videofilepath=$fullimagepath.'/plugins/rmvideoReport/transcoded_video/'.$aBanner['internal_file'];
				$Mezzaninefile= '<Mezzanine type="'.$exttype.'"  delivery="streaming" width="1280" height="120"><![CDATA['.$Videofilepath.']]></Mezzanine>';
		    }
		    else if($aBanner['mezzanine_en']==2)//External Mezzinine video file store in www/images
			{
				if(strpos($aBanner['url_file'],'mp4')>0)
				{
					$exttype='video/mp4';
				}
				else if(strpos($aBanner['url_file'],'webm')>0)
				{
					$exttype='video/webm';
				}
				else if(strpos($aBanner['url_file'],'ogg')>0)
				{
					$exttype='video/ogg';
				}
				else if(strpos($aBanner['url_file'],'mp3')>0)
				{
					$exttype='audio/mpeg';
				}
				else if(strpos($aBanner['url_file'],'ogg')>0)
				{
					$exttype='audio/ogg';
				}
				else if(strpos($aBanner['url_file'],'m3u8')>0)
				{
					$exttype='application/x-mpegURL';
				}
				$Mezzaninefile= '<Mezzanine type="'.$exttype.'"  delivery="streaming" width="1280" height="120"><![CDATA['.$aBanner['url_file'].']]></Mezzanine>';
		    }
		}
		


		/*<Mezzanine>*/
		/*Ready to Serve Files*/
		$mediafile2='';$mediafile3='';
		
		if(!empty($aBanner['vast_video_outgoing_filename1']))
		{
			$videofilename1=$aBanner['vast_video_outgoing_filename1'];
			$videotype1=$aBanner['vast_video_type_1'];
			$vast_video_bitrate1=$aBanner['vast_video_bitrate_1'];
			$mediafile2="<MediaFile id='$mediaid' delivery='progressive' bitrate='$vast_video_bitrate1' width='854' height='480'  $maxbitrate $minbitrate type='$videotype1' scalable='true' maintainAspectRatio='true'>
				      <![CDATA[$videofilename1]]>
				      </MediaFile>";
		}
		if(!empty($aBanner['vast_video_outgoing_filename2']))
		{
			$videofilename2=$aBanner['vast_video_outgoing_filename2'];
			$videotype2=$aBanner['vast_video_type_2'];
			$vast_video_bitrate2=$aBanner['vast_video_bitrate_2'];
			$mediafile3="<MediaFile id='$mediaid' delivery='progressive' bitrate='$vast_video_bitrate2' width='1280' height='720'  $maxbitrate $minbitrate type='$videotype2' scalable='true' maintainAspectRatio='true'>
				      <![CDATA[$videofilename2]]>
				      </MediaFile>";
		}
		
		/*Ready to Serve Files*/
		/*CLosed Captions*/
		if($aBanner['vast_4_1_type_file']==1 || $aBanner['vast_4_1_type_file_1']==1 || $aBanner['vast_4_1_type_file_2']==1)
		{
			$type1='text/srt';
		}
		if($aBanner['vast_4_1_type_file']==2 || $aBanner['vast_4_1_type_file_1']==2 || $aBanner['vast_4_1_type_file_2']==2)
		{
			$type2='text/vtt';
		} 
		if($aBanner['vast_4_1_type_file']==3 || $aBanner['vast_4_1_type_file_1']==3 || $aBanner['vast_4_1_type_file_2']==3)
		{
			$type3='application/ttml+xml';
		}
		if($aBanner['vast_4_1_language']==1 || $aBanner['vast_4_1_language_1']==1 || $aBanner['vast_4_1_language_2']==1)
		{
			$lang='en';
		}
		if($aBanner['vast_4_1_language']==2 || $aBanner['vast_4_1_language_1']==2 || $aBanner['vast_4_1_language_2']==2)
		{
			$lang1='zh-TW';
		}
		if($aBanner['vast_4_1_language']==3 || $aBanner['vast_4_1_language_2']==3 || $aBanner['vast_4_1_language_3']==3)
		{
			$lang2='zh-CH';
		}
		$closedcaption='';
		if(!empty($aBanner['vast_4_1_url']))
		{
			$closedcaption2='';
			if($aBanner['vast_4_1_url_1'])
			{
				$closedcaption2="<ClosedCaptionFile type='$type2' language='$lang1'>
                  <![CDATA[".$aBanner['vast_4_1_url_1']."]]>
                </ClosedCaptionFile>";
			}
			$closedcaption3='';
			if($aBanner['vast_4_1_url_2'])
			{
				$closedcaption3="<ClosedCaptionFile type='$type3' language='$lang2'>
                  <![CDATA[".$aBanner['vast_4_1_url_2']."]]>
                </ClosedCaptionFile>";
			}
			$closedcaption="<ClosedCaptionFiles>
                <ClosedCaptionFile type='$type1' language='$lang'>
                  <![CDATA[".$aBanner['vast_4_1_url']."]]>
                </ClosedCaptionFile>$closedcaption2$closedcaption3
              </ClosedCaptionFiles>";
         }
         /*CLosed Captions*/
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid">
				 <UniversalAdId idRegistry="unknown">unknown</UniversalAdId>
				 <Linear $skip>
				    <Duration>${aO['vastVideoDuration']}</Duration>
				    <TrackingEvents>
						<Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
						<Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
						<Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
						<Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
						<Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
						<Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
						<Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
						<Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
						<Tracking event="skip"><![CDATA[${aO['trackUrlskip']}]]></Tracking>
					    <Tracking event="loaded"><![CDATA[${aO['trackUrlloaded']}]]> </Tracking>
						<Tracking event="progress" $progress><![CDATA[${aO['trackUrlprogress']}]]></Tracking>
						<Tracking event="closeLinear"><![CDATA[${aO['trackUrlcloseLinear']}]]></Tracking>
						<Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
						<Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>	
						<Tracking event="playerExpand"><![CDATA[${aO['trackUrlplayerExpand']}]]> </Tracking>	
						<Tracking event="playerCollapse"><![CDATA[${aO['trackUrlplayerCollapse']}]]> </Tracking>
						<Tracking event="otherAdInteraction"><![CDATA[${aO['trackUrlotherAdInteraction']}]]> </Tracking>
				    </TrackingEvents>
				 	$videoClicksVast
				    <MediaFiles>
				      $closedcaption
					  <MediaFile id="${mediaid}" delivery="${aO['vastVideoDelivery']}" bitrate="${aO['vastVideoBitrate']}" width="640" height="480" $maxbitrate $minbitrate type="{$aBanner['vast_video_type']}" scalable="true" maintainAspectRatio="true">
				      <![CDATA[${aO['fullPathToVideo']}]]>
				      </MediaFile>
				      $mediafile2
				      $mediafile3
				      $interactivemediafile
				      $Mezzaninefile
				    </MediaFiles>
				    $icon
				</Linear>
			</Creative>
VAST_VIDEO_AD_TEMPLATE;
// print_r($aO['fullPathToVideo']);exit;
    return $vastVideoMarkup;
}

function getVast2VideoAdOutput($aO)
{
	$conf = $GLOBALS['_MAX']['CONF'];
	
	if($aO['vid_upload_type']=="Internal")
	{
		
		  $conf = $GLOBALS['_MAX']['CONF'];
      
             $videopath= $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' . $conf['webpath']['imagesSSL'] : 'http://' .  $conf['webpath']['imagesSSL'];
             
             $aO['fullPathToVideo']= $videopath.'/'.$aO['fullPathToVideo'];
              $aO['videoFileName']= $videopath.'/'.$aO['videoFileName'];
             
             
	}
	
			if($aO['vastVideoType']=='video/x-mp4')
			{
				$aO['vastVideoType']='video/mp4';
			}
			
		
	    	if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&dest=') !== false)) 
			{
				

				if(!empty($aO['vast_thirdparty_clicktracking'])) 
				{
				$videoClickstrackVast = '<ClickTracking>
						    <![CDATA['.$aO['vast_thirdparty_clicktracking'].']]>
						</ClickTracking> ';
			    	}
				if(!empty($aO['vast_thirdparty_clickcustom'])) {
				$videocustomClicksVast = '<CustomClick>
						   <![CDATA['.$aO['vast_thirdparty_clickcustom'].']]>
						</CustomClick >';
			    	}
				$videoClicksVast = '<VideoClicks>
				        <ClickThrough>
				          <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
				        </ClickThrough> '.$videoClickstrackVast.$videocustomClicksVast.'
				    </VideoClicks>';
		    	}
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid">
				 <Linear>
				    <Duration>${aO['vastVideoDuration']}</Duration>
				    <TrackingEvents>
				      <Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
				      <Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
				      <Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
				      <Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
				      <Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
				      <Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
				      <Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
				      <Tracking event="fullscreen"><![CDATA[${aO['trackUrlFullscreen']}]]></Tracking>
				      <Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
				      <Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
                   	  <Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>	
				    </TrackingEvents>
				 	$videoClicksVast
				    <MediaFiles>
					<MediaFile delivery="${aO['vastVideoDelivery']}" bitrate="${aO['vastVideoBitrate']}" width="640" height="480" type="${aO['vastVideoType']}" $minbitrate scalable="true" maintainAspectRatio="true">
				      <![CDATA[${aO['fullPathToVideo']}]]>
				      </MediaFile>
				    </MediaFiles>
				    
				    
				</Linear>
			</Creative>

VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
}

function djaxgetVastVideoAdOutput($aO)
{
	$conf = $GLOBALS['_MAX']['CONF'];
	
	if($aO['vid_upload_type']=="Internal")
	{
		
		  $conf = $GLOBALS['_MAX']['CONF'];
      
             $videopath= $GLOBALS['_MAX']['SSL_REQUEST'] ? 'https://' . $conf['webpath']['imagesSSL'] : 'http://' .  $conf['webpath']['imagesSSL'];
             
             $aO['fullPathToVideo']= $videopath.'/'.$aO['fullPathToVideo'];
              $aO['videoFileName']= $videopath.'/'.$aO['videoFileName'];
             
             
	}
			if($aO['vastVideoType']=='video/x-mp4')
			{
				$aO['vastVideoType']='video/mp4';
			}
	    	if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&dest=') !== false)) 
	{
	if(!empty($aO['vast_thirdparty_clicktracking'])) 
	{
        $videoClickstrackVast = '<ClickTracking>
                            <URL id="destination"><![CDATA['.$aO['vast_thirdparty_clicktracking'].']]></URL>
                        </ClickTracking> ';
    	}
	if(!empty($aO['vast_thirdparty_clickcustom'])) {
        $videocustomClicksVast = '<CustomClick>
                            <URL id="destination"><![CDATA['.$aO['vast_thirdparty_clickcustom'].']]></URL>
                        </CustomClick >';
    	}

        $videoClicksVast = '<VideoClicks>
                        <ClickThrough>
                            <URL id="destination"><![CDATA['.$aO['vastVideoClickThroughUrl'].']]></URL>
                        </ClickThrough>'.$videoClickstrackVast.$videocustomClicksVast.'
                    </VideoClicks>';
    	}



    $vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
			    <Video>
                    <Duration>${aO['vastVideoDuration']}</Duration>
                    <AdID><![CDATA[${aO['vastVideoId']}]]></AdID>
                    $videoClicksVast
                    <MediaFiles>
                        <MediaFile delivery="${aO['vastVideoDelivery']}" bitrate="${aO['vastVideoBitrate']}" width="640" height="480" type="${aO['vastVideoType']}">
                            <URL><![CDATA[${aO['fullPathToVideo']}]]></URL>
                        </MediaFile>
                    </MediaFiles>
                </Video>

                <TrackingEvents>
                    <Tracking event="start">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlStart']}]]></URL>
                    </Tracking>
                    <Tracking event="midpoint">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlMidPoint']}]]></URL>
                    </Tracking>
                    <Tracking event="firstQuartile">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlFirstQuartile']}]]></URL>
                    </Tracking>
                    <Tracking event="thirdQuartile">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlThirdQuartile']}]]></URL>
                    </Tracking>
                    <Tracking event="complete">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlComplete']}]]></URL>
                    </Tracking>
                    <Tracking event="mute">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlMute']}]]></URL>
                    </Tracking>
                    <Tracking event="pause">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlPause']}]]></URL>
                    </Tracking>
                    <Tracking event="replay">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackReplay']}]]></URL>
                    </Tracking>
                    <Tracking event="fullscreen">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlFullscreen']}]]></URL>
                    </Tracking>
                    <Tracking event="unmute">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlUnmute']}]]></URL>
                    </Tracking>
                   <Tracking event="resume">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlResume']}]]></URL>
                    </Tracking>
                </TrackingEvents>
VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
}


function renderOutput_inlineVast4($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{
 $banner_id=$aBanner['ad_id'];
 $servername=$_SERVER['SERVER_NAME'];
 $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
 $guid=getGUID();
 $adservingid=md5($servername.$guid.$aBanner['ad_id']);//Adservering ID generated based on server name and GUID and BannerId	
 $check_query = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select * from {$table_prefix}djaxbanner_vast_element where banner_id = '".$banner_id."'"));
 $clickid=$check_query['banner_vast_element_id'];
 $mediafileid=$check_query['banner_vast_element_id'];
 $vast4_verificationurl1=$check_query['vast4_verificationurl1'];
 $vast4_verificationurl2=$check_query['vast4_verificationurl2'];
 $vast4_category=$check_query['iabcategory'];
 $vast4_url_1=$check_query['vast4_adverificationtype1'];
 $vast4_url_2=$check_query['vast4_adverificationtype2'];
 $conditionalad_delivery=$check_query['is_conditionalad'];
 $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Reviveadservermod.com';
    $adName = $aOut['name'];
    $player = "";
	$impressionid=rand();
	if($conditionalad_delivery==1)
	{
		$conditionalad='conditionalAd="true"';
	}
	else	
	{
		$conditionalad='conditionalAd="false"';
	}
	if($format=='vast4_pod')
	{
    	$player .= "<Ad id=\"{player_allocated_ad_id}\" sequence=\"$sequence\" $conditionalad>";
	}
	else
	{
	$player .= "    <Ad id=\"{player_allocated_ad_id}\" $conditionalad>";
	}
	
    	$player .= "        <InLine>";
    	$player .= "            <AdSystem version=\"4.0\"><![CDATA[$adSystem]]></AdSystem>\n";
    		//Adserving Id//
    	//$player .= "<AdServingId>$adservingid</AdServingId>\n";
    		$player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
	/*Adverification for Vast4*/
	if(!empty($vast4_verificationurl1) || !empty($vast4_verificationurl2))
	{
		$player .= "			<AdVerifications>\n";

	if($vast4_url_1==1)
	{
		$player .= "			<Verification>\n";
		$player .= "				<JavaScriptResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl1}]]>\n";
		$player .= "				</JavaScriptResource>\n";
		$player .= "			</Verification>\n";
	}
	else if($vast4_url_1==2)
	{
		$player .= "			<Verification>\n";
		$player .= "				<FlashResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl1}]]>\n";
		$player .= "				</FlashResource>\n";
		$player .= "			</Verification>\n";
	}
	if($vast4_url_2==1)
	{
		$player .= "			<Verification>\n";
		$player .= "				<JavaScriptResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl2}]]>\n";
		$player .= "				</JavaScriptResource>\n";
		$player .= "			</Verification>\n";
	}
	else if($vast4_url_2==2)
	{ 
		$player .= "			<Verification>\n";
		$player .= "				<FlashResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl2}]]>\n";
		$player .= "				</FlashResource>\n";
		$player .= "			</Verification>\n";
	}
		$player .= "				</AdVerifications>\n";
	}

	/*Adverification for Vast4*/
	/*Viewable Impression for Vast4*/
	   $player .= "				<ViewableImpression id=\"$impressionid\">
                 					<Viewable><![CDATA[${aOut['trackUrlviewable']}]]></Viewable>
                 					<NotViewable><![CDATA[${aOut['trackUrlnotviewable']}]]></NotViewable>
                 					<ViewUndetermined><![CDATA[${aOut['trackUrlundetermined']}]]></ViewUndetermined>
						</ViewableImpression>\n";



	/*Viewable Impression for Vast4*/
	/*IAB Category in vast response*/
	if(!empty($vast4_category))
	{
		$category=explode(',',$vast4_category);
		$cnt=count($category);
		for($i=0;$i<$cnt-1;$i++)
		{
			//echo $key;
			
		$getcat=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT category_name FROM `djax_site_categories` where value ='$category[$i]'"));
		
		$player .= "<Category authority='http://www.iabtechlab.com/categoryauthority'><![CDATA[".$getcat['category_name']."]]></Category>";
		}
	}
	/*IAB Category in vast response*/
	if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}
    	$player .= "<Impression>";
    	$player .= "<![CDATA[${aOut['impressionUrl']}]]>";
	$player .= "</Impression>";
  	if(!empty($aOut['thirdPartyImpressionUrl'])) 
	{
		$player .= "<Impression>";
		$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
	  	$player .= "</Impression>";
    	}
	$player.="<Creatives>";




	if ( isset($aOut['companionMarkup'])  )
	{	
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= "<CompanionClickTracking id=\"${clickid}\">
							  <![CDATA[${aOut['vast_thirdparty_companion_clicktracking']}]]>
							</CompanionClickTracking>";
				    	}
				}
				if(!empty($aOut['vast_thirdparty_companion_alttext'])) 
				{
					$companionalttxt='<AltText><![CDATA['.$aOut['vast_thirdparty_companion_alttext'].']]></AltText>';
				}
				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_assetwidth']))
				{
					$asset_width="assetWidth=\"${aOut['vast_thirdparty_companion_assetwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_assetheight']))
				{
					$asset_height="assetHeight=\"${aOut['vast_thirdparty_companion_assetheight']}\"";
				}

				if(!empty($aOut['vast_thirdparty_companion_pxratio']))
				{
					$pxratio="pxratio=\"${aOut['vast_thirdparty_companion_pxratio']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];
				if ($GLOBALS['_MAX']['SSL_REQUEST']) 
				{
				$djprotocol='https://';
				}
				else
				{
				$djprotocol='http://';
				}
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				
				$adslotid=md5($_REQUEST['zones'].$aOut['companionbannerid']);//adslotID=\"${adslotid}\"
				$player.="<Creative sequence=\"1\"><CompanionAds required='any'><Companion id=\"${aOut['companionbannerid']}\"  width=\"${aOut['companionWidth']}\" $pxratio height=\"${aOut['companionHeight']}\"  $expand_width $expand_height $asset_width $asset_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$companionalttxt";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds><UniversalAdId idRegistry=\"unknown\" idValue=\"unknown\">unknown</UniversalAdId></Creative>";
				
	}

    	if ( isset($aOut['fullPathToVideo']) )
	{
        $player .= getVast4VideoAdOutput($aOut,$mediafileid,$aBanner);
    	}
    	
    	
    $player.="</Creatives>";
    $player .= "        </InLine>\n";
    $player .= "    </Ad>\n";
    return $player;

}
function getGUID(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = chr(45);// "-"
        $uuid = chr(123)// "{"
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);// "}"
        return $uuid;
    }
}
function renderOutput_inlineVast41($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{
	$conf = $GLOBALS['_MAX']['CONF'];
	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	$servername=$_SERVER['SERVER_NAME'];
	$guid=getGUID();
    $adservingid=md5($servername.$guid.$aBanner['ad_id']);//Adservering ID generated based on server name and GUID and BannerId
	$banner_id=$aBanner['ad_id'];
	$query="select cl.clientid as clientid,cl.clientname as name,c.expire_time as expire_time from {$table_prefix}clients as cl,{$table_prefix}campaigns as c where c.clientid=cl.clientid and c.campaignid='".$aBanner['placement_id']."'";
	$getadvertisement = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query($query));
	$advertisername=$getadvertisement['name'];
	$clientid=$getadvertisement['clientid'];
	$expiretime=strtotime($getadvertisement['expire_time']);
	$check_query = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select * from {$table_prefix}djaxbanner_vast_element where banner_id = '".$banner_id."'")); 
	$clickid=$check_query['banner_vast_element_id'];
	$mediafileid=$check_query['banner_vast_element_id'];
	$vast4_verificationurl1=$check_query['vast4_verificationurl1'];
	$vast4_verificationurl2=$check_query['vast4_verificationurl2'];
	$vast4_category=$check_query['iabcategory'];
	$vast4_url_1=$check_query['vast4_adverificationtype1'];
	$vast4_url_2=$check_query['vast4_adverificationtype2'];
	$conditionalad_delivery=$check_query['is_conditionalad'];
	$adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Reviveadservermod.com';
    $adName = $aOut['name'];
    $player = "";
	$impressionid=rand();
	
	if($format=='vast4.1_pod')
	{
		if($aBanner['ad_type']==1)
		{
			$audio='audio';
		}
		else
		{
			$audio='video';
		}
    	$player .= "<Ad id=\"{player_allocated_ad_id}\" sequence=\"$sequence\" adType=\"$audio\" $conditionalad>";
	}
	else
	{
		if($aBanner['ad_type']==1)
		{
		$player .= "<Ad id=\"{player_allocated_ad_id}\" adType=\"audio\">";
		}
		else
		{
		$player .= "<Ad id=\"{player_allocated_ad_id}\" adType=\"video\">";	
		}
	}
    	$player .= "<InLine>";
    	$player .= "<AdSystem version=\"4.1\"><![CDATA[$adSystem]]></AdSystem>\n";
    	//Adserving Id//
    	$player .= "<AdServingId>$adservingid</AdServingId>\n";
    	//Advertiser Name 
    	$player .= "<Advertiser>$advertisername</Advertiser>\n";
    	//Description 
    	if(!empty($aBanner['name']))
    	{
    	$player .= "<Description>${aBanner['name']}</Description>\n";
		}
    	//Expires
    	if(!empty($expiretime))
    	{
    	$player .= "<Expires>$expiretime</Expires>\n";
		}
    		$player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
	/*Adverification for Vast4*/
	if(!empty($vast4_verificationurl1) || !empty($vast4_verificationurl2))
	{
		$player .= "			<AdVerifications>\n";

	if($vast4_url_1==1)
	{
		$player .= "			<Verification>\n";
		$player .= "				<JavaScriptResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl1}]]>\n";
		$player .= "				</JavaScriptResource>\n";
		$player .= "			</Verification>\n";
	}
	else if($vast4_url_1==2)
	{
		$player .= "			<Verification>\n";
		$player .= "				<FlashResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl1}]]>\n";
		$player .= "				</FlashResource>\n";
		$player .= "			</Verification>\n";
	}
	if($vast4_url_2==1)
	{
		$player .= "			<Verification>\n";
		$player .= "				<JavaScriptResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl2}]]>\n";
		$player .= "				</JavaScriptResource>\n";
		$player .= "			</Verification>\n";
	}
	else if($vast4_url_2==2)
	{ 
		$player .= "			<Verification>\n";
		$player .= "				<FlashResource>\n";
		$player .= "					<![CDATA[${vast4_verificationurl2}]]>\n";
		$player .= "				</FlashResource>\n";
		$player .= "			</Verification>\n";
	}
		$player .= "				</AdVerifications>\n";
	}

	/*Adverification for Vast4*/
	/*Viewable Impression for Vast4*/
	if($aBanner['ad_type']!=1)
	{
	   $player .= "				<ViewableImpression id=\"$impressionid\">
                 					<Viewable><![CDATA[${aOut['trackUrlviewable']}]]></Viewable>
                 					<NotViewable><![CDATA[${aOut['trackUrlnotviewable']}]]></NotViewable>
                 					<ViewUndetermined><![CDATA[${aOut['trackUrlundetermined']}]]></ViewUndetermined>
						</ViewableImpression>\n";
	}


	/*Viewable Impression for Vast4*/
	/*IAB Category in vast response*/
	if(!empty($vast4_category))
	{
		$category=explode(',',$vast4_category);
		$cnt=count($category);
		for($i=0;$i<$cnt-1;$i++)
		{
			//echo $key;
			
		$getcat=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT category_name FROM `djax_site_categories` where value ='$category[$i]'"));
		
		$player .= "<Category authority='http://www.iabtechlab.com/categoryauthority'><![CDATA[".$getcat['category_name']."]]></Category>";
		}
	}
	/*IAB Category in vast response*/
	if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}
    	$player .= "<Impression>";
    	$player .= "<![CDATA[${aOut['impressionUrl']}]]>";
	$player .= "</Impression>";
  	if(!empty($aOut['thirdPartyImpressionUrl'])) 
	{
		$player .= "<Impression>";
		$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
	  	$player .= "</Impression>";
    	}
	$player.="<Creatives>";




	if ( isset($aOut['companionMarkup'])  )
	{	
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= "<CompanionClickTracking id=\"${clickid}\">
							  <![CDATA[${aOut['vast_thirdparty_companion_clicktracking']}]]>
							</CompanionClickTracking>";
				    	}
				}
				if(!empty($aOut['vast_thirdparty_companion_alttext'])) 
				{
					$companionalttxt='<AltText><![CDATA['.$aOut['vast_thirdparty_companion_alttext'].']]></AltText>';
				}
				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_assetwidth']))
				{
					$asset_width="assetWidth=\"${aOut['vast_thirdparty_companion_assetwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_assetheight']))
				{
					$asset_height="assetHeight=\"${aOut['vast_thirdparty_companion_assetheight']}\"";
				}

				if(!empty($aOut['vast_thirdparty_companion_pxratio']))
				{
					$pxratio="pxratio=\"${aOut['vast_thirdparty_companion_pxratio']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];
				if ($GLOBALS['_MAX']['SSL_REQUEST']) 
				{
				$djprotocol='https://';
				}
				else
				{
				$djprotocol='http://';
				}
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				
				$adslotid=md5($_REQUEST['zones'].$aOut['companionbannerid']);//adslotID=\"${adslotid}\"
				$player.="<Creative sequence=\"1\"><CompanionAds required='any'><Companion id=\"${aOut['companionbannerid']}\"  width=\"${aOut['companionWidth']}\"  $pxratio height=\"${aOut['companionHeight']}\"  $expand_width $expand_height $asset_width $asset_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$companionalttxt";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds><UniversalAdId idRegistry=\"unknown\">unknown</UniversalAdId></Creative>";
				
	}

    	if ( isset($aOut['fullPathToVideo']) )
	{
        $player .= getVast41VideoAdOutput($aOut,$mediafileid,$aBanner);
    	}
    	
    	
    $player.="</Creatives>";
    $player .= "        </InLine>\n";
    $player .= "    </Ad>\n";
    return $player;

}
?>
