<?php

function renderOutput_inlinewrapperVast1($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{
    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    $adName = $aOut['name'];
    $player = "";
    $player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "        <Wrapper >";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
    $player .= "                    <Description><![CDATA[$vastAdDescription]]></Description>\n";
		    $player .= "<Impression>";
		    $player .= "<URL id=\"primaryAdServer\"><![CDATA[${aOut['impressionUrl']}]]></URL>";
$player .= "</Impression>";
		    if(!empty($aOut['thirdPartyImpressionUrl'])) {
$player .= "<Impression>";
			$player .= "<URL id=\"secondaryAdServer\"><![CDATA[${aOut['thirdPartyImpressionUrl']}]]></URL>";
$player .= "</Impression>";
		    }
	 $wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);	    
    $player .= "<AdTagURL>";
    $player .= $wrapurl;
    $player .= "</AdTagURL>";

    if ( isset($aOut['companionMarkup'])  ){
        if(!empty($aOut['companionClickUrl'])) {
            $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
            $CompanionClickThrough .= "                        <URL><![CDATA[${aOut['companionClickUrl']}]]></URL>\n";
            $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
        }
        //debugdump( '$companionOutput', $companionOutput );
        $player .= "             <CompanionAds>\n";
        $player .= "                <Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" resourceType=\"HTML\">\n";
        $player .= "                    <Code><![CDATA[${aOut['companionMarkup']}]]></Code>\n";
        $player .= "					$CompanionClickThrough";
        $player .= "                </Companion>\n";
        $player .= "            </CompanionAds>\n";
    }

	
        $player .= getVastWrapperVideoAdOutput($aOut,$format,$vastAdDescription,$aBanner);
    	
    	$player .= "        </Wrapper>\n";
    	$player .= "    </Ad>\n";
    	return $player;

}


function getVastWrapperVideoAdOutput($aO,$format,$videotype,$aBanner)
{

	if($format=='vast1_wrapper')
	{
    	if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&oadest=') !== false)) 
	    {
		$videoClicksVast = '<VideoClicks>
		                 <ClickTracking>
		                    <URL id="destination"><![CDATA['.$aO['vastVideoClickThroughUrl'].']]></URL>
		                 </ClickTracking>
		            </VideoClicks>';
	    }

		if($videotype!='Overlay Video Ad')
		{
		
    		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
                <TrackingEvents>
                    <Tracking event="start">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlStart']}]]></URL>
                    </Tracking>
                    <Tracking event="midpoint">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlMidPoint']}]]></URL>
                    </Tracking>
                    <Tracking event="firstQuartile">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlFirstQuartile']}]]></URL>
                    </Tracking>
                    <Tracking event="thirdQuartile">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlThirdQuartile']}]]></URL>
                    </Tracking>
                    <Tracking event="complete">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlComplete']}]]></URL>
                    </Tracking>
                    <Tracking event="mute">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlMute']}]]></URL>
                    </Tracking>
                    <Tracking event="pause">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlPause']}]]></URL>
                    </Tracking>
                    <Tracking event="replay">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackReplay']}]]></URL>
                    </Tracking>
                    <Tracking event="fullscreen">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlFullscreen']}]]></URL>
                    </Tracking>
                    <Tracking event="stop">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlStop']}]]></URL>
                    </Tracking>
                    <Tracking event="unmute">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlUnmute']}]]></URL>
                    </Tracking>
                   <Tracking event="resume">
                        <URL id="primaryAdServer"><![CDATA[${aO['trackUrlResume']}]]></URL>
                    </Tracking>
                    
                    
                    
                </TrackingEvents>
		$videoClicksVast
VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
		}
		else
		{
			return $videoClicksVast;
		}
	}
	else if($format=='vast2_wrapper')
	{
	    if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&oadest=') !== false)) 
	    {
		$videoClicksVast = '<VideoClicks>
		                <ClickTracking>
		                    <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
		                </ClickTracking>
		            </VideoClicks>';
	    }

		if($videotype!='Overlay Video Ad')
		{			
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid">				
				 <Linear>
				    <Duration>${aO['vastVideoDuration']}</Duration>
				    <TrackingEvents>
				      <Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
				      <Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
				      <Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
				      <Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
				      <Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
				      <Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
				      <Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
				      <Tracking event="fullscreen"><![CDATA[${aO['trackUrlFullscreen']}]]></Tracking>
				      <Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
				      <Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
                   	  <Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>	
				    </TrackingEvents>
				 	$videoClicksVast
				</Linear>
			</Creative>
VAST_VIDEO_AD_TEMPLATE;
	
    return $vastVideoMarkup;
		}
		else
		{
			return $videoClicksVast;
		}
	}
	else if($format=='vast3_wrapper' || $format=='vast_pod_wrapper')
	{
		
	    	if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&oadest=') !== false)) 
			{
				if(!empty($aO['vast_thirdparty_clicktracking'])) 
				{
				$videoClickstrackVast = '<ClickTracking>
						  <![CDATA['.$aO['vast_thirdparty_clicktracking'].']]>
						</ClickTracking> ';
			    	}
				if(!empty($aO['vast_thirdparty_clickcustom'])) {
				$videocustomClicksVast = '<CustomClick>
						 <![CDATA['.$aO['vast_thirdparty_clickcustom'].']]>
						</CustomClick >';
			    	}
				$videoClicksVast = '<VideoClicks>
				        <ClickThrough>
				          <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
				        </ClickThrough> '.$videoClickstrackVast.$videocustomClicksVast.'
				    </VideoClicks>';
		    	}
		if($videotype!='Overlay Video Ad')
		{			
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid">
				 <Linear>
				    <Duration>${aO['vastVideoDuration']}</Duration>
			    	    <TrackingEvents>
				      <Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
				      <Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
				      <Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
				      <Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
				      <Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
				      <Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
				      <Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
				      <Tracking event="fullscreen"><![CDATA[${aO['trackUrlFullscreen']}]]></Tracking>
				      <Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
				      <Tracking event="acceptInvitationLinear"><![CDATA[${aO['trackUrlacceptInvitationLinear']}]]></Tracking>
				      <Tracking event="closeLinear"><![CDATA[${aO['trackUrlcloseLinear']}]]></Tracking>
				      <Tracking event="skip"><![CDATA[${aO['trackUrlskip']}]]></Tracking>
				      <Tracking event="progress" $progress><![CDATA[${aO['trackUrlprogress']}]]></Tracking>
				      <Tracking event="exitFullscreen"><![CDATA[${aO['trackUrlexitFullscreen']}]]></Tracking>
				      <Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
                   	  <Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>	      	
				    </TrackingEvents>
				 	$videoClicksVast
				</Linear>
			</Creative>
VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
		}
		else
		{
		return $videoClicksVast;
		}

	}
	else if($format=='vast4_wrapper' || $format=='vast4_pod_wrapper')
	{
		$api = $_GET['api'];
		$iprog = $_GET['iprog'];
		$icontype = $aO['icon_url'];
		
		$icontype1 = end(explode('.',basename($aO['icon_url'])));
		//$icontype1 = (($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) ? 'image/jpeg' :  ((($icontype1 == 'png') ? 'image/png' : (($icontype1 == 'gif') ? 'Image/gif' : '') ? 'image/htm' : (($icontype1 == 'htm') ? 'Image/htm' : '')   ));
		if(($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) {
			$icontype1 = 'image/jpeg';
		} else if($icontype1 == 'png') {
			$icontype1 = 'image/png';
		} else if($icontype1 == 'gif') {
			$icontype1 = 'image/gif';
		} else if($icontype1 == 'htm') {
			$icontype1 = 'image/htm';
		}
		if($icontype1=='image/jpeg')
		{
			$resource='<StaticResource creativeType="'.$icontype1.'"><![CDATA['.$aO['icon_url'].']]></StaticResource>';
		}
		else
		{
			$resource='<HTMLResource><![CDATA['.$aO['icon_url'].']]></HTMLResource>';
		}
    	if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&oadest=') !== false)) 
		{
			$videoClicksVast = '<VideoClicks>
				        <ClickTracking>
				         <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
				        </ClickTracking>
				    </VideoClicks>';
		}
		if($videotype!='Overlay Video Ad')
		{
		if(!empty($aO['icon_url']))
		{
			$iconwidth=!empty($aBanner['vast_icon_width'])?$aBanner['vast_icon_width']:30;
			$iconheight=!empty($aBanner['vast_icon_height'])?$aBanner['vast_icon_height']:30;
			$xpos=!empty($aBanner['vast_icon_xposition'])?$aBanner['vast_icon_xposition']:30;
			$ypos=!empty($aBanner['vast_icon_yposition'])?$aBanner['vast_icon_yposition']:30;
			$offset=!empty($aBanner['vast_icon_offset'])?$aBanner['vast_icon_offset']:'00:00:02';
			$duration=!empty($aBanner['vast_icon_duration'])?$aBanner['vast_icon_duration']:2;
			if(!empty($api))
			{
				 $djapi='apiFramework='.$api;
			}
			else
			{
				$djapi='';
			}
				
			$iconcustom='<Icons>
				<Icon program='.$iprog.' height= '.$iconheight.' width= '.$iconwidth.' 
				 xPosition= '.$xpos.' yPosition= '.$ypos.' '.$djapi.'
				 offset= '.$offset.' duration= '.$duration.'>'.$resource.'
				<IconClicks>
					<IconClickThrough><![CDATA['.$aO['trackUrliconclick'].']]> </IconClickThrough>
					<IconClickTracking><![CDATA['.$aO['trackUrlicontrack'].']]></IconClickTracking>
				</IconClicks>
				<IconViewTracking>
				<![CDATA['.$aO['trackUrliconimpression'].']]>
				</IconViewTracking>
				</Icon>
			</Icons>';
		}
		else
		{
			$iconcustom='';
		}
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid"><UniversalAdId idRegistry="unknown" idValue="unknown">unknown</UniversalAdId>
				 <Linear>
			    	<TrackingEvents>
						  <Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
						  <Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
						  <Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
						  <Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
						  <Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
						  <Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
						  <Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
						  <Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
						  <Tracking event="skip"><![CDATA[${aO['trackUrlskip']}]]></Tracking>
						  <Tracking event="progress" $progress><![CDATA[${aO['trackUrlprogress']}]]></Tracking>
						  <Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
						<Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>
						 <Tracking event="otherAdInteraction"><![CDATA[${aO['trackUrlotherAdInteraction']}]]> </Tracking>		
						<Tracking event="playerExpand"><![CDATA[${aO['trackUrlplayerExpand']}]]> </Tracking>	
						<Tracking event="playerCollapse"><![CDATA[${aO['trackUrlplayerCollapse']}]]> </Tracking>
				    </TrackingEvents>
				 	$videoClicksVast					$iconcustom
				</Linear>
			</Creative>
VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
		}
		else
		{
		return $videoClicksVast;
		}

	}
	else if($format=='vast4.1_wrapper' || $format=='vast4.1_pod_wrapper')
	{
		$api = $_GET['api'];
		$iprog = $_GET['iprog'];
		$icontype = $aO['icon_url'];
		$icontype1 = end(explode('.',basename($aO['icon_url'])));
		//$icontype1 = (($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) ? 'image/jpeg' :  ((($icontype1 == 'png') ? 'image/png' : (($icontype1 == 'gif') ? 'Image/gif' : '') ? 'image/htm' : (($icontype1 == 'htm') ? 'Image/htm' : '')   ));
		if(($icontype1 == 'jpg') || ($icontype1 == 'jpeg')) {
			$icontype1 = 'image/jpeg';
		} else if($icontype1 == 'png') {
			$icontype1 = 'image/png';
		} else if($icontype1 == 'gif') {
			$icontype1 = 'image/gif';
		} else if($icontype1 == 'htm') {
			$icontype1 = 'image/htm';
		}
		if($icontype1=='image/jpeg')
		{
			$resource='<StaticResource creativeType="'.$icontype1.'"><![CDATA['.$aO['icon_url'].']]></StaticResource>';
		}
		else
		{
			$resource='<HTMLResource><![CDATA['.$aO['icon_url'].']]></HTMLResource>';
		}
    	if(!empty($aO['vastVideoClickThroughUrl']) && (strpos($aO['vastVideoClickThroughUrl'], '&oadest=') !== false)) 
		{
			$videoClicksVast = '<VideoClicks>
				        <ClickTracking>
				         <![CDATA['.$aO['vastVideoClickThroughUrl'].']]>
				        </ClickTracking>
				    </VideoClicks>';
		}
		if($videotype!='Overlay Video Ad')
		{		if(!empty($aO['icon_url']))
		{
			$iconwidth=!empty($aBanner['vast_icon_width'])?$aBanner['vast_icon_width']:30;
			$iconheight=!empty($aBanner['vast_icon_height'])?$aBanner['vast_icon_height']:30;
			$xpos=!empty($aBanner['vast_icon_xposition'])?$aBanner['vast_icon_xposition']:30;
			$ypos=!empty($aBanner['vast_icon_yposition'])?$aBanner['vast_icon_yposition']:30;
			$offset=!empty($aBanner['vast_icon_offset'])?$aBanner['vast_icon_offset']:'00:00:02';
			$duration=!empty($aBanner['vast_icon_duration'])?$aBanner['vast_icon_duration']:2;
			if(!empty($api))
			{
				 $djapi='apiFramework='.$api;
			}
			else
			{
				$djapi='';
			}
				
			$iconcustom='<Icons>
				<Icon program='.$iprog.' height= '.$iconheight.' width= '.$iconwidth.' 
				 xPosition= '.$xpos.' yPosition= '.$ypos.' '.$djapi.'
				 offset= '.$offset.' duration= '.$duration.'>'.$resource.'
				<IconClicks>
					<IconClickThrough><![CDATA['.$aO['trackUrliconclick'].']]> </IconClickThrough>
					<IconClickTracking><![CDATA['.$aO['trackUrlicontrack'].']]></IconClickTracking>
				</IconClicks>
				<IconViewTracking>
				<![CDATA['.$aO['trackUrliconimpression'].']]>
				</IconViewTracking>
				</Icon>
			</Icons>';
		}
		else
		{
			$iconcustom='';
		}
		
		$adid=!empty($aO['ad_id'])?$aO['ad_id']:$aO['b_id'];
		$vastVideoMarkup =<<<VAST_VIDEO_AD_TEMPLATE
        		<Creative id="$adid"><UniversalAdId idRegistry="unknown" idValue="unknown">unknown</UniversalAdId>
				 <Linear>
			    	 <TrackingEvents>
				    <Tracking event="start"><![CDATA[${aO['trackUrlStart']}]]></Tracking>
				    <Tracking event="firstQuartile"><![CDATA[${aO['trackUrlFirstQuartile']}]]></Tracking>
				    <Tracking event="midpoint"><![CDATA[${aO['trackUrlMidPoint']}]]></Tracking>
				    <Tracking event="thirdQuartile"><![CDATA[${aO['trackUrlThirdQuartile']}]]></Tracking>
				    <Tracking event="complete"><![CDATA[${aO['trackUrlComplete']}]]></Tracking>
				    <Tracking event="pause"><![CDATA[${aO['trackUrlPause']}]]></Tracking>
				    <Tracking event="mute"><![CDATA[${aO['trackUrlMute']}]]></Tracking>
				    <Tracking event="unmute"><![CDATA[${aO['trackUrlUnmute']}]]></Tracking>
				    <Tracking event="skip"><![CDATA[${aO['trackUrlskip']}]]></Tracking>
				    <Tracking event="progress" $progress><![CDATA[${aO['trackUrlprogress']}]]></Tracking>
				    <Tracking event="rewind"><![CDATA[${aO['trackUrlrewind']}]]></Tracking>
                   	<Tracking event="resume"><![CDATA[${aO['trackUrlResume']}]]> </Tracking>	
                   	<Tracking event="otherAdInteraction"><![CDATA[${aO['trackUrlotherAdInteraction']}]]> </Tracking>		
				    <Tracking event="playerExpand"><![CDATA[${aO['trackUrlplayerExpand']}]]> </Tracking>	
					<Tracking event="playerCollapse"><![CDATA[${aO['trackUrlplayerCollapse']}]]> </Tracking>
				    </TrackingEvents>
				 	$videoClicksVast
				 	$iconcustom
				</Linear>
			</Creative>
VAST_VIDEO_AD_TEMPLATE;

    return $vastVideoMarkup;
		}
		else
		{
		return $videoClicksVast;
		}	
	}
}

function renderOutput_inlinewrapperVast2($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{
    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    $adName = $aOut['name'];
    $player = "";
    $player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "        <Wrapper>";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
    $player .= "<Impression>";
    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
	$player .= "</Impression>";
    if(!empty($aOut['thirdPartyImpressionUrl'])) 
    {
	$player .= "<Impression>";
	$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
	$player .= "</Impression>";
    }
     $wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);
    $player .= "<VASTAdTagURI><![CDATA[";
    $player .= $wrapurl;
    $player .= "]]></VASTAdTagURI>";
    $player.="<Creatives>";
	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                        <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				}

				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];
				if ($GLOBALS['_MAX']['SSL_REQUEST']) 
				{
					$djprotocol='https://';
				}
				else
				{
					$djprotocol='http://';
				}
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";

				$player.="<Creative sequence=\"1\"><CompanionAds><Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" $expand_width $expand_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
	
        $player .= getVastWrapperVideoAdOutput($aOut,$format,$vastAdDescription,$aBanner);
		$player.="</Creatives>";
    	$player .= "        </Wrapper>\n";
    	$player .= "    </Ad>\n";
    	return $player;

}
function renderOutput_inlinewrapperVast3($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{ 
    $adSystem = 'Reviveadservermod.com';
    $adName = $aOut['name'];
    $player = "";
    if($format=='vast_pod_wrapper')
	{
	    $player .= "<Ad id=\"{player_allocated_ad_id}\" sequence=\"$sequence\">";
	}
	else
	{
	$player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
	}
    $player .= "        <Wrapper followAdditonalWrappers='true'  allowMultipleAds='false'  fallbackOnNoAd='true'  >";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
   	if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}
    $player .= "<Impression>\n";
    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
	$player .= "</Impression>";
    if(!empty($aOut['thirdPartyImpressionUrl'])) 
    {
	$player .= "<Impression>";
	$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
	$player .= "</Impression>";
    }
    $wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner); 
	$player .= "<VASTAdTagURI><![CDATA[";
	$player .= $wrapurl;
    $player .= "]]></VASTAdTagURI>";
    $player.="<Creatives>";

	if ( isset($aOut['companionMarkup'])  )
	{
				if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
				{
					 $CompanionClickThrough .= '<CompanionClickTracking>
							  <![CDATA['.$aOut['vast_thirdparty_companion_clicktracking'].']]>
							</CompanionClickTracking> ';
				}
				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
					if ($GLOBALS['_MAX']['SSL_REQUEST']) 
					{
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}

				$conf = $GLOBALS['_MAX']['CONF'];
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				$player.="<Creative sequence=\"1\"><CompanionAds><Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" $expand_width $expand_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
        $player .= getVastWrapperVideoAdOutput($aOut,$format,$vastAdDescription,$aBanner);
		$player.="</Creatives>";
    	$player .= "        </Wrapper>\n";
    	$player .= "    </Ad>\n";
    	return $player;
}
function renderOutput_inlinewrapperVast4($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{
	 $banner_id=$aBanner['ad_id'];
	 $check_query = unserialize($aBanner['parameters']);
	 
 	 $clickid=$check_query['banner_vast_element_id'];
	 $vast4_verificationurl1=$check_query['vast4_verificationurl1'];
	 $vast4_verificationurl2=$check_query['vast4_verificationurl2'];
	 $vast4_category=$check_query['iabcategory'];
	 $vast4_url_1=$check_query['vast4_adverificationtype1'];
	 $vast4_url_2=$check_query['vast4_adverificationtype2'];
	 $conditionalad_delivery=$check_query['is_conditionalad'];
     $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
     $adName = $aOut['name'];
     $player = "";
    $impressionid=rand();
    
    if($conditionalad_delivery==1)
	{
		$conditionalad='conditionalAd="true"';
	}
	else	
	{
		$conditionalad='conditionalAd="false"';
	}
	$fallbackonnoads=$check_query['vast_wrapper_fallbacknoads'];
	$allowmultipleads=$check_query['vast_wrapper_allowmultipleads'];
	$followAdditional=$check_query['vast_wrapper_followadditional'];
	if($fallbackonnoads==1)
	{
		$fallbackad4='fallbackOnNoAd="1"';
	}
	else	
	{
		$fallbackad4='fallbackOnNoAd="0"';
	}
	if($allowmultipleads==1)
	{
		$allowmultipleads4='allowMultipleAds="1"';
	}
	else	
	{
		$allowmultipleads4='allowMultipleAds="0"';
	}
	if($followAdditional==1)
	{
		$followadditionalwrapper4='followAdditionalWrappers="1"';
	}
	else	
	{
		$followadditionalwrapper4='followAdditionalWrappers="0"';
	}
    if($format=='vast4_pod_wrapper')
	{
	    $player .= "<Ad id=\"{player_allocated_ad_id}\" sequence=\"$sequence\" $conditionalad>";
		
	}
	else
	{
	$player .= "    <Ad id=\"{player_allocated_ad_id}\" $conditionalad>";
	
	}
	    $player .= "        <Wrapper $fallbackad4 $allowmultipleads4 $followadditionalwrapper4>";
	    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
		
   
	/*Viewable Impression for Vast4*/
	   $player .= "				<ViewableImpression id=\"$impressionid\">
                 					<Viewable><![CDATA[${aOut['trackUrlviewable']}]]></Viewable>
                 					<NotViewable><![CDATA[${aOut['trackUrlnotviewable']}]]></NotViewable>
                 					<ViewUndetermined><![CDATA[${aOut['trackUrlundetermined']}]]></ViewUndetermined>
						</ViewableImpression>\n";
	/*Viewable Impression for Vast4*/
    
       /*IAB Category in vast response*/
        $vast4_category=$check_query['iabcategory'];
	if(!empty($vast4_category))
	{
		$category=explode(',',$vast4_category);
		$cnt=count($category);
		for($i=0;$i<$cnt-1;$i++)
		{
			//echo $key;
			
		$getcat=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT category_name FROM `djax_site_categories` where value ='$category[$i]'"));
		
		$player .= "<Category authority='http://www.iabtechlab.com/categoryauthority'><![CDATA[".$getcat['category_name']."]]></Category>";
		}
	}
	/*IAB Category in vast response*/
 if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}
    $player .= "<Impression>";
    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
	$player .= "</Impression>";
	if(!empty($aOut['thirdPartyImpressionUrl'])) 
	{
		$player .= "<Impression>";
		$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
		$player .= "</Impression>";
	}
		$wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner); 
		$player .= "<VASTAdTagURI><![CDATA[";
		$player .= $wrapurl;
		$player .= "]]></VASTAdTagURI>";
	    $player.="<Creatives>";

	if ( isset($aOut['companionMarkup'])  )
	{	
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= "<CompanionClickTracking id=\"${clickid}\">
							  <![CDATA[\"${aOut['vast_thirdparty_companion_clicktracking']}\"]]>
							</CompanionClickTracking>";
				    	}
				}
				if(!empty($aOut['vast_thirdparty_companion_alttext'])) 
				{
					$companionalttxt='<AltText><![CDATA['.$aOut['vast_thirdparty_companion_alttext'].']]></AltText>';
				}
				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_assetwidth']))
				{
					$asset_width="assetWidth=\"${aOut['vast_thirdparty_companion_assetwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_assetheight']))
				{
					$asset_height="assetHeight=\"${aOut['vast_thirdparty_companion_assetheight']}\"";
				}

				if(!empty($aOut['vast_thirdparty_companion_pxratio']))
				{
					$pxratio="pxratio=\"${aOut['vast_thirdparty_companion_pxratio']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];
				if ($GLOBALS['_MAX']['SSL_REQUEST']) 
				{
				$djprotocol='https://';
				}
				else
				{
				$djprotocol='http://';
				}
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				$adslotid=md5($_REQUEST['zones'].$aOut['companionbannerid']);//adslotID=\"${adslotid}\"
				$player.="<Creative sequence=\"1\"><CompanionAds required='any'><Companion id=\"${aOut['companionbannerid']}\"  width=\"${aOut['companionWidth']}\" adSlotID=\"$adslotid\" $pxratio height=\"${aOut['companionHeight']}\"  $expand_width $expand_height $asset_width $asset_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$companionalttxt";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
        $player .= getVastWrapperVideoAdOutput($aOut,$format,$vastAdDescription,$aBanner);
		$player.="</Creatives>";
    	$player .= "        </Wrapper>\n";
    	$player .= "    </Ad>\n";
    	return $player;
}
function renderOutput_inlinewrapperVast41($aOut, $pluginType, $vastAdDescription,$format,$aBanner,$sequence)
{
	 $banner_id=$aBanner['ad_id'];
	 $check_query =unserialize($aBanner['parameters']);
 	 $clickid=$check_query['banner_vast_element_id'];
	 $vast4_verificationurl1=$check_query['vast4_verificationurl1'];
	 $vast4_verificationurl2=$check_query['vast4_verificationurl2'];
	 $vast4_category=$check_query['iabcategory'];
	 $vast4_url_1=$check_query['vast4_adverificationtype1'];
	 $vast4_url_2=$check_query['vast4_adverificationtype2'];
	 $conditionalad_delivery=$check_query['is_conditionalad'];
         $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    	$adName = $aOut['name'];
    	$player = "";
    	$impressionid=rand();
    
    	if($conditionalad_delivery==1)
	{
		$conditionalad='conditionalAd="true"';
	}
	else	
	{
		$conditionalad='conditionalAd="false"';
	}
	$fallbackonnoads=$check_query['vast_wrapper_fallbacknoads'];
	$allowmultipleads=$check_query['vast_wrapper_allowmultipleads'];
	$followAdditional=$check_query['vast_wrapper_followadditional'];
	if($fallbackonnoads==1)
	{
		$fallbackad4='fallbackOnNoAd="1"';
	}
	else	
	{
		$fallbackad4='fallbackOnNoAd="0"';
	}
	if($allowmultipleads==1)
	{
		$allowmultipleads4='allowMultipleAds="1"';
	}
	else	
	{
		$allowmultipleads4='allowMultipleAds="0"';
	}
	if($followAdditional==1)
	{
		$followadditionalwrapper4='followAdditionalWrappers="1"';
	}
	else	
	{
		$followadditionalwrapper4='followAdditionalWrappers="0"';
	}
    	if($format=='vast4.1_pod_wrapper')
	{
		if($aBanner['ad_type']==1)
		{
			$audio='audio';
		}
		else
		{
			$audio='video';
		}
	    $player .= "<Ad id=\"{player_allocated_ad_id}\"  adType=\"$audio\" sequence=\"$sequence\" >";
	}
	else
	{
		if($aBanner['ad_type']==1)
		{
			$audio='audio';
		}
		else
		{
			$audio='video';
		}
	$player .= "    <Ad id=\"{player_allocated_ad_id}\" adType=\"$audio\"  $conditionalad>";
	
	}
	$servername=$_SERVER['SERVER_NAME'];
	$guid=getGUID();
    $adservingid=md5($servername.$guid.$aBanner['ad_id']);//Adservering ID generated based on server name and GUID and BannerId
	$query="select cl.clientid as clientid,cl.clientname as name,c.expire_time as expire_time from rv_clients as cl,rv_campaigns as c where c.clientid=cl.clientid and c.campaignid='".$aBanner['placement_id']."'";
	$getadvertisement = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query($query));
	$advertisername=$getadvertisement['name'];
	$clientid=$getadvertisement['clientid'];
	$expiretime=strtotime($getadvertisement['expire_time']);
	    $player .= "        <Wrapper $fallbackad4 $allowmultipleads4 $followadditionalwrapper4>";
	    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    	//Adserving Id//
    	$player .= "<AdServingId>$adservingid</AdServingId>\n";
    	//Advertiser Name 
    	$player .= "<Advertiser id='$clientid'>$advertisername</Advertiser>\n";
    	//Description 
    	if(!empty($aBanner['name']))
    	{
    	$player .= "<Description>${aBanner['name']}</Description>\n";
		}
    	//Expires
    	if(!empty($expiretime))
    	{
    	$player .= "<Expires>$expiretime</Expires>\n";
		}

   
	/*Viewable Impression for Vast4*/
	   $player .= "				<ViewableImpression id=\"$impressionid\">
                 					<Viewable><![CDATA[${aOut['trackUrlviewable']}]]></Viewable>
                 					<NotViewable><![CDATA[${aOut['trackUrlnotviewable']}]]></NotViewable>
                 					<ViewUndetermined><![CDATA[${aOut['trackUrlundetermined']}]]></ViewUndetermined>
						</ViewableImpression>\n";
		 $vast4_category=$check_query['iabcategory'];				
       /*IAB Category in vast response*/
	if(!empty($vast4_category))
	{
		$category=explode(',',$vast4_category);
		$cnt=count($category);
		//~ print_r($cnt);
		//~ exit();
		for($i=0;$i<$cnt-1;$i++)
		{
			//echo $key;
			
		$getcat=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT category_name FROM `djax_site_categories` where value ='$category[$i]'"));
		
		$player .= "<Category authority='http://www.iabtechlab.com/categoryauthority'><![CDATA[".$getcat['category_name']."]]></Category>";
		}
	}
	/*IAB Category in vast response*/
	/*Viewable Impression for Vast4*/
    
   if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}
    	$player .= "<Impression>";
    	$player .= "<![CDATA[${aOut['impressionUrl']}]]>";
	$player .= "</Impression>";
	    if(!empty($aOut['thirdPartyImpressionUrl'])) 
	    {
		$player .= "<Impression>";
				$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
	$player .= "</Impression>";
	    }
	   $player .= "<VASTAdTagURI><![CDATA[";
		 //$player .= str_replace('&','&amp;',$aBanner['vast_wrapper_url']);
		 $player .= $aBanner['vast_wrapper_url'];
		 $player .= "]]></VASTAdTagURI>";
	    $player.="<Creatives>";

	if ( isset($aOut['companionMarkup'])  )
	{	
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= "<CompanionClickTracking id=\"${clickid}\">
							  <![CDATA[\"${aOut['vast_thirdparty_companion_clicktracking']}\"]]>
							</CompanionClickTracking>";
				    	}
				}
				if(!empty($aOut['vast_thirdparty_companion_alttext'])) 
				{
					$companionalttxt='<AltText><![CDATA['.$aOut['vast_thirdparty_companion_alttext'].']]></AltText>';
				}
				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_assetwidth']))
				{
					$asset_width="assetWidth=\"${aOut['vast_thirdparty_companion_assetwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_assetheight']))
				{
					$asset_height="assetHeight=\"${aOut['vast_thirdparty_companion_assetheight']}\"";
				}

				if(!empty($aOut['vast_thirdparty_companion_pxratio']))
				{
					$pxratio="pxratio=\"${aOut['vast_thirdparty_companion_pxratio']}\"";
				}

				$conf = $GLOBALS['_MAX']['CONF'];
				if ($GLOBALS['_MAX']['SSL_REQUEST']) 
				{
				$djprotocol='https://';
				}
				else
				{
				$djprotocol='http://';
				}
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				$adslotid=md5($_REQUEST['zones'].$aOut['companionbannerid']);//adslotID=\"${adslotid}\"
				$player.="<Creative sequence=\"1\"><CompanionAds required='any'><Companion id=\"${aOut['companionbannerid']}\"  width=\"${aOut['companionWidth']}\" adSlotID=\"$adslotid\" $pxratio height=\"${aOut['companionHeight']}\"  $expand_width $expand_height $asset_width $asset_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$companionalttxt";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
	
        $player .= getVastWrapperVideoAdOutput($aOut,$format,$vastAdDescription,$aBanner);
    	
	$player.="</Creatives>";
    	$player .= "        </Wrapper>\n";
    	$player .= "    </Ad>\n";
    	return $player;
}

?>
