<?php

require_once '../../../../init.php';
session_start();
// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

$oOptions = new OA_Admin_Option('settings');

$title = "Bidder List";
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader('bidder-list-index', $oHeaderModel);

// Prepare an array for storing error messages
$aErrormessage = [];
$a = 'http://' . $GLOBALS['conf']['webpath']['admin'] . '/';

$aConf = $GLOBALS['_MAX']['CONF'];

if (!empty($_POST["submit"]) && isset($_POST["submit"])) {

	$hb_sub_parameter_name = $_POST['param_name'];
	$param_req = $_POST['param_req'];
	$date_created = date('Y-m-d H:i:s');
	$paramid = ' ';
	$bidid = $_POST['bid'];

	foreach ($hb_sub_parameter_name as $key => $value) {
		foreach ($value as $values) {
			$subname[] = $values;
		}

		foreach ($param_req[$key] as $val) {
			$subreq[] = $val == 'on' ? '1' : '0';
		}

		$paramid = $key;
	}

	foreach ($subname as $name => $val) {

		$val1 = (isset($subreq[$name])) ? '1' : '0';

		OA_Dal_Delivery_query("INSERT into {$table_prefix}djax_hb_sub_param(hb_sub_parameter_name,hb_parameter_id,hb_bidder_id,required,date_created) VALUES('" . $val . "','" . $paramid . "','" . $bidid . "','" . $val1 . "','" . $date_created . "')");

		$subid = OA_Dal_Delivery_insertId();

		//update subparameter into {$table_prefix}djax_sub_parameter_value
		$pub_subpara = OA_Dal_Delivery_query("SELECT account_id FROM {$table_prefix}djax_hb_sub_param_value WHERE parameter_id = '" . $paramid . "' GROUP BY account_id");

		while ($pub_subparam = OA_Dal_Delivery_fetchAssoc($pub_subpara)) {
			OA_Dal_Delivery_query("INSERT into {$table_prefix}djax_hb_sub_param_value (account_id,hb_bidder_id,parameter_id,sub_para_id, sub_param_name,  sub_param_value,dj_admin_approve) VALUES('" . $pub_subparam['account_id'] . "','" . $bidid . "','" . $paramid . "','" . $subid . "','" . $val . "','','1')  ");
		}

	}
}


?>
<html>
<style type="text/css">
	.sub_tr {
		background-color: #f4fbfe !important;
	}
</style>

<head>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
	<script type="text/javascript">
		var jq = jQuery.noConflict(true);
		jq(document).ready(function () {

			jq('.search-box input[type="text"]').on("keyup input", function () {

				/* Get input value on change */

				var inputVal = jq(this).val();
				

				var textresultDropdown = jq(this).siblings(".textresult");

				if (inputVal.length) {

					jq.get("backend-search.php", { term: inputVal }).done(function (data) {

						// Display the returned data in browser

						textresultDropdown.html(data);

					});

				} else {

					textresultDropdown.empty();

				}

			});

			// Set search input value on click of textresult item

			jq(document).on("click", ".textresult p", function () {

				jq(this).parents(".search-box").find('input[type="text"]').val(jq(this).text());
				var textresult = [];
				jq(this).parents('.search-box').find('input[type="text"]').each(function () {
					textresult.push(this.value);
				});
				window.location = 'bidder-list-index.php?bidder=' + textresult.join(',');

				jq(this).parent(".textresult").empty();

			});

		});

	</script>

	<script type="text/javascript">
		var jq = jQuery.noConflict(true);


		jq(document).ready(function () {
			var count = [];
			var params = $("#paramlist");
			jq(".compara").hide();
			jq(".showsubparam").hide();

			jq(".addsub").click(function () {

				var id = jQuery(this).attr('id');
				$("#" + id).parent().parent().next().show();
				var bid = $("#" + id).parent().parent().attr('class').split(" ");
				bid = bid[0].split("_");

				var minus = jQuery(".minus_param").length;
				if (minus == 0) {
					jq("input[type=submit]").show();
				}

				var lid = id.split('_');
				id = lid[lid.length - 1];
				if (typeof count[id] != "undefined") {
					count[id] = count[id] + 1;
				} else {
					count[id] = 1;
				}

				jq(this).parent().parent().after('<tr class="row bid_' + bid[1] + '" style="background-color:rgba(51, 148, 233, 0.15);"><td>&nbsp;</td><td class="bid">Subparameter name:<span style="color:red;"> * </span></td>	<td><input type="text" name="param_name[' + id + '][' + count[id] + ']" id="param_name[' + id + ']" class="head-bid" placeholder="Enter subparameter name" maxlength="50" size="50" style="margin-left: 5px;" required></td><td><img src="assets/images/minus1.png" width="16" height="16" align="absmiddle" id="minus_' + bid[1] + '" class="minus_param minus_' + bid[1] + '" ></td><td><input type ="hidden" name="bid" value="' + bid[1] + '"></td><td></td></tr><tr class="bid_' + bid[1] + '" style="background-color:rgba(51, 148, 233, 0.15);"><td>&nbsp;</td><td class="bid" id="para_req_' + id + '">Is this parameter required </td><td><input type="checkbox" name="param_req[' + id + '][' + count[id] + ']" id="param_req' + id + '" class="head-bid" style="margin-left: 5px;"></td><td>&nbsp;</td><td></td><td></td></tr>');

				jq(".subparam_delete").click();

			});
			var count = 0;
			jq(params).on("click", ".minus_param", function () {
				count++;
				var btn = jq(this);

				var bid = jQuery(this).attr('id').split("_");

				//	var id= jQuery(".minus_param").length;
				var id = jQuery(".minus_" + bid[1]).length;

				jq(this).parent().parent().next().remove();
				jq(this).parent().parent().remove();


				if (id == 1) {
					jq(".submit_" + bid[1]).hide();
					//	jq("input[type=submit]").hide();
				}

			});

			jq(".delpara").click(function () {

				var id = jQuery(this).attr('id');

				var bid = $("#" + id).parent().parent().attr('class').split(" ");
				bid = bid[0].split("_");

				var lid = id.split('_');
				id = lid[lid.length - 1];
				var text = jq(this).parent().prev().text();
				var page = '<?php echo $_GET['page']; ?>';

				window.location.href = "<?php echo $a; ?>plugins/HbSettings/bid_action.php?action=paramdel&pid=" + id + "&bid=" + bid[1] + '&text=' + text + '&page=' + page;

			})

			jq(".blcpara").click(function () {

				var id = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				var text = jq(this).parent().prev().text();
				var page = '<?php echo $_GET['page']; ?>';
				window.location.href = "<?php echo $a; ?>plugins/HbSettings/bid_action.php?action=paramblck&pid=" + id + '&text=' + text + '&page=' + page;

			})
			jq(".ublcpara").click(function () {

				var id = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				var text = jq(this).parent().prev().text();
				var page = '<?php echo $_GET['page']; ?>';
				window.location.href = "<?php echo $a; ?>plugins/HbSettings/bid_action.php?action=paramublck&pid=" + id + '&text=' + text + '&page=' + page;

			})
			jq(".delsubpara").click(function () {
				var id = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				var text = jq(this).parent().prev().text();
				var page = '<?php echo $_GET['page']; ?>';
				window.location.href = "<?php echo $a; ?>plugins/HbSettings/bid_action.php?a=123&action=subparamdel&spid=" + id + '&text=' + text + '&page=' + page;

			})

			jq(".blcsubpara").click(function () {

				var id = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				var text = jq(this).parent().prev().text();
				var page = '<?php echo $_GET['page']; ?>';
				window.location.href = "<?php echo $a; ?>plugins/HbSettings/bid_action.php?action=subparamblck&spid=" + id + '&text=' + text + '&page=' + page;

			})
			jq(".ublcsubpara").click(function () {

				var id = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				var text = jq(this).parent().prev().text();
				var page = '<?php echo $_GET['page']; ?>';
				window.location.href = "<?php echo $a; ?>plugins/HbSettings/bid_action.php?action=subparamublck&spid=" + id + '&text=' + text + '&page=' + page;

			})
			jq(params).on("click", ".showsubparameter", function (e) {

				var id = jQuery(this).attr('id');
				var id1 = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				jq(this).replaceWith('<img src="assets/images/minus.png" width="16" height="16" align="absmiddle" class="subparam_delete" id="subpparam_delete_' + id + '"></center>');

				jq(".showsubparam_" + id).show();
				if ($('.showsubparam2_' + id).length) {
					jq(".showsubparam2_" + id).show();
				} else {
					jq("#showsubparam_" + id).after('<tr id="noparam" style="background-color: rgba(39, 176, 230, 0.27);"><td colspan="5" style="text-align:center;">CURRENTLY THERE ARE NO SUB PARAMETER AVAILABLE TO LIST         </td><td></td>	</tr>');

				}

			})
			jq(params).on("click", ".subparam_delete", function (e) { //user click on remove field
				var id = jQuery(this).attr('id');
				var lid = id.split('_');
				id = lid[lid.length - 1];
				jq(".showsubparam_" + id).hide();
				jq(".showsubparam2_" + id).hide();
				jq(this).replaceWith('<img src="assets/images/plus.png" width="10" height="10" class="showsubparameter" id="plus_subparam_' + id + '">');
			});


			jq("#parameter_list").submit(function (event) {
				var subpara = jq("[id^='param_name[']").val();
				if (subpara == undefined) {
					alert("Enter Subparameter Name");
					event.preventDefault();
				} else {
					return true;
				}
			});

		});

		var i = 0;
		jq('.reveal').each(function () {
			i++;
			var newID = 'plusid' + i;

		});

	</script>

	<script type='text/javascript'>

		function bidder(id) {

			$(".cont_" + id).toggle();

			if ($(".cont_" + id).css('display') != 'none') {
				$("#plusid_" + id).val("Hide");
				//	$(".subparasubmit").hide();
				$(".submit_" + id).hide();

			} else {
				$("#plusid_" + id).val("Show");
				$(".bid_" + id).hide();
				//	$(".subparasubmit").hide();
				$(".submit_" + id).hide();
				$(".showsubparam").hide();
				jq(".minus_param").click();
			}
		}


		//search function

		var searchRequest = null;


	</script>
	<style>
		#thirdLevelContent {
			min-height: 0px !important;

		}
	</style>
	<style type="text/css">
		body {

			font-family: Arail, sans-serif;

		}

		/* Formatting search box */

		.search-box {

			width: 300px;

			position: relative;

			display: inline-block;

			font-size: 10px;

		}

		.search-box input[type="text"] {

			height: 32px;

			padding: 5px 10px;

			border: 1px solid #DDDCDC;

			font-size: 10px;

		}

		.textresult {

			position: absolute;

			z-index: 999;

			top: 100%;

			left: 0;

		}

		.search-box input[type="text"],
		.textresult {

			width: 100%;

			box-sizing: border-box;

		}

		/* Formatting textresult items */

		.textresult p {

			margin: 0;

			padding: 7px 10px;

			border: 1px solid #DDDCDC;
			background: #DDDCDC;
			border-top: none;

			cursor: pointer;

		}

		.textresult p:hover {

			background: #0FA64B;

		}

		.navi {
			width: 500px;
			margin: 5px;
			padding: 2px 5px;
			border: 1px solid #eee;
		}

		.show {
			color: blue;
			margin: 5px 0;
			padding: 3px 5px;
			cursor: pointer;
			font: 15px/19px Arial, Helvetica, sans-serif;
		}

		.show a {
			text-decoration: none;
		}

		.show:hover {
			text-decoration: underline;
		}


		ul.setPaginate li.setPage {
			padding: 15px 10px;
			font-size: 14px;
		}

		ul.setPaginate {
			margin: 0px;
			padding: 0px;
			height: 100%;
			overflow: hidden;
			font: 12px 'Tahoma';
			list-style-type: none;
		}

		ul.setPaginate li.dot {
			padding: 3px 0;
		}

		ul.setPaginate li {
			float: left;
			margin: 0px;
			padding: 0px;
			margin-left: 5px;
			display: inline;
		}

		ul.setPaginate li a {
			background: none repeat scroll 0 0 #ffffff;
			border: 1px solid #cccccc;
			color: #999999;
			display: inline-block;
			font: 15px/25px Arial, Helvetica, sans-serif;
			margin: 5px 3px 0 0;
			padding: 0 5px;
			text-align: center;
			text-decoration: none;
		}

		ul.setPaginate li a:hover,
		ul.setPaginate li a.current_page {
			background: none repeat scroll 0 0 #0d92e1;
			border: 1px solid #000000;
			color: #ffffff;
			text-decoration: none;
		}

		ul.setPaginate li a {
			color: black;
			display: block;
			text-decoration: none;
			padding: 5px 8px;
			text-decoration: none;
		}
	</style>


</head>

<body>
	<div class="search-box">
		<input type="text" autocomplete="on" placeholder="Search Bidder" />
		<div class="textresult"></div>
	</div>

	<div style="float:right;"><a style="display: block;width: 132px;height: 10px;
	background: #0767A8;
	padding: 10px;
	text-align: center;
	border-radius: 5px;
	color:white;
	font-weight: bold;" href="bidder-settings-index.php">Add Bidder</a></div>

	<div style="clear:both;"></div>

	<div>
		<!--label>Search:</label><input type="text" id="search"-->
	</div>

	<div class="tableWrapper">
		<div class="tableHeader">
			<ul class='tableActions'>
				<li class='inactive activeIfSelected'>
					<a id='deleteSelection' href="" class='inlineIcon disable'>Delete</a>
					<script type='text/javascript'>
						$('#deleteSelection').click(function (event) {
							event.preventDefault();
							var page = '<?php echo $_GET['page']; ?>';
							if (!$(this).parents('li').hasClass('inactive')) {
								var ids = [];
								$(this).parents('.tableWrapper').find('.toggleSelection input:checked').each(function () {
									ids.push(this.value);
								});
								window.location = 'bid_action.php?action=delete&page=' + page + '&aid=' + ids.join(',');
							}

						});
					</script>
				</li>

				<li class='inactive activeIfSelected'>
					<a id='enableSelection' href=""><img src="assets/images/adxactive.png" width="15px"
							height="15px">&nbsp;Unblock</a>
					<script type='text/javascript'>
						$('#enableSelection').click(function (event) {
							event.preventDefault();
							var page = '<?php echo $_GET['page']; ?>';
							if (!$(this).parents('li').hasClass('inactive')) {
								var ids = [];
								$(this).parents('.tableWrapper').find('.toggleSelection input:checked').each(function () {
									ids.push(this.value);
								});
								window.location = 'bid_action.php?action=enable&page=' + page + '&aid=' + ids.join(',');


							}
						});                
					</script>
				</li>
				<li class='inactive activeIfSelected'>
					<a id='disableSelection' href=""><img src="assets/images/adxdeactive.png" width="15px"
							height="15px">&nbsp;Block</a>
					<script type='text/javascript'>
				<!--        
				$('#disableSelection').click(function(event) {
					event.preventDefault();        
					 var page = '<?php echo $_GET['page']; ?>';               
						if (!$(this).parents('li').hasClass('inactive')) {
							var ids = [];
							$(this).parents('.tableWrapper').find('.toggleSelection input:checked').each(function () {
								ids.push(this.value);
							});
							window.location = 'bid_action.php?action=disable&page=' + page + '&aid=' + ids.join(',');
						}
				});
					</script>         	             
			</li>            
		</ul>
		<div class="clear"></div>
		<div class="corner left"></div>
		<div class="corner right"></div>
	</div>
<form method="POST" id="parameter_list" action="<?php echo $_SERVER['PHP_SELF']; ?>" >
	<table cellspacing="0" id="paramlist" summary="">
		<thead>
			<tr>
			   <th class='first toggleAll' style="width:10%;">
				  <input type='checkbox' />
				</th>
				<th style="width:25%;">
				   <p class='inlineIcon iconAdx'>Bidder Name</p>
				</th>                
				 <th style="width:25%;">
					<p>Bidder Code</p>
				</th>                
				<th style="width:15%;">
					<p>Status</p>
				</th>                
			   <th style="width:25%;padding-left:45px">
					<P>Action</P>
				</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
<?php

//pagination - start

if (isset($_GET["page"])) {
	$page = (int) $_GET["page"];
} else {
	$page = 1;
}
$setLimit = 10;
$pageLimit = ($page * $setLimit) - $setLimit;

$bidder = $_GET['bidder'];


if (empty($bidder)) {


	$tempQuery = OA_Dal_Delivery_query("SELECT string_agg(hp.hb_parameter_name, ','), 
	string_agg(hp.hb_parameter_id::TEXT, ','), 
	hp.hb_bidder_id, 
	bl.hb_bidder_name,
	bl.hb_bidder_code, 
	bl.dj_is_denied as bdenied, 
	bl.dj_is_deleted as bdelete  FROM {$table_prefix}djax_hb_bidders_list as bl join {$table_prefix}djax_hb_params as hp ON bl.hb_bidder_id::TEXT = hp.hb_bidder_id::TEXT WHERE bl.hb_bidder_id::TEXT IN (hp.hb_bidder_id::TEXT) 
AND bl.dj_is_deleted = FALSE 
GROUP BY hp.hb_bidder_id, bl.hb_bidder_name, bl.hb_bidder_code, bl.dj_is_denied, bl.dj_is_deleted 
LIMIT 10 OFFSET 0;");
} elseif ($bidder == "No matches found") {

} else {

	$tempQuery = OA_Dal_Delivery_query("SELECT string_agg(hp.hb_parameter_name,','),string_agg(hp.hb_parameter_id::TEXT,','),bl.hb_bidder_id,bl.hb_bidder_name,bl.hb_bidder_code,bl.dj_is_denied as bdenied,bl.dj_is_deleted as bdelete from {$table_prefix}djax_hb_bidders_list as bl join {$table_prefix}djax_hb_params as hp on bl.hb_bidder_id::TEXT=hp.hb_bidder_id::TEXT WHERE bl.hb_bidder_name='$bidder' AND bl.dj_is_deleted=FALSE GROUP BY bl.hb_bidder_id, bl.hb_bidder_name, bl.hb_bidder_code, bl.dj_is_denied, bl.dj_is_deleted;");

}
$totalrecords = OA_Dal_Delivery_numRows($tempQuery);

$_SESSION['totalrecords'] = $totalrecords;
$i = 1;

if (OA_Dal_Delivery_numRows($tempQuery) > 0) {
	while ($row = OA_Dal_Delivery_fetchAssoc($tempQuery)) {
	

		if ($i == 1) {
			$_class = "odd hilite";
		} elseif ($i == 0) {
			$_class = "even";
		} else {
			$_class = "odd";
		}

		?>
					<tr class="<?php echo $_class; ?>">
						<td class='toggleSelection' style="width:10%;">
							<input type='checkbox' value="<?php print_r($row['hb_bidder_id']); ?>" />	        
							 <input type="button" onClick="bidder(<?php echo $row['hb_bidder_id']; ?>)" class="reveal" id="plusid_<?php echo $row['hb_bidder_id']; ?>"  value="Show"> 	
						</td>
						<!--For biddder name-->
							<td style="width:25%;">
								<p class='inlineIcon iconAdx'><?php print_r($row['hb_bidder_name']); ?></p>
							</td>

							<!--For biddder code-->
							<td style="white-space:wrap;" style="width:25%;">
								<?php print_r($row['hb_bidder_code']); ?>
							</td>
							<!--For biddder status-->
							<td style="width:15%;">
								&nbsp;&nbsp;&nbsp;&nbsp;
								<?php if ($row['bdenied'] == 't') { ?>
									<!--<a href="#" class='inlineIcon iconAdxactive'>-->
									<img src="assets/images/adxdeactive.png" width="15px" height="15px"><!-- </a> -->
								<?php } else { ?>
									<!-- <a href="#" class='inlineIcon iconAdxdeactive'> -->
									<img src="assets/images/adxactive.png" width="15px" height="15px"><!-- </a> -->
								<?php } ?>
							</td>

							<!--For biddder action-->
							<td style="width:25%;">
								<a href="bidder-edit.php?aid=<?php echo $row['hb_bidder_id']; ?>&action=edit">Edit</a>
								&nbsp; / &nbsp;
								<!-- Block and Unblock - bidder-->
								<?php if ($row['bdenied'] == 'f') { ?>
									<a
										href="bid_action.php?aid=<?php print_r($row['hb_bidder_id']); ?>&action=disable&page=<?php echo $_GET['page']; ?>">Block</a>
								<?php } else { ?>
									<a
										href="bid_action.php?aid=<?php print_r($row['hb_bidder_id']); ?>&action=enable&page=<?php echo $_GET['page']; ?>">Unblock</a>
								<?php } ?>
								<!-- Block and Unblock-->

								<!-- Delete the Bidder-->
								<?php if ($row['bdelete'] == 'f') { ?>
									&nbsp; / &nbsp;
									<a
										href="bid_action.php?aid=<?php print_r($row['hb_bidder_id']); ?>&action=delete&page=<?php echo $_GET['page']; ?>">Delete</a>
								<?php } ?>
								<!-- Delete the Bidder-->

							</td>
							<td class="alignRight verticalActions">
								<ul class="rowActions">
									<li></li>
								</ul>
							</td>
							</tr>
							<!-- parameter -->
							<?php
							$paraname = explode(',', $row['group_concat(hp.hb_parameter_name)']);
							$paraval = explode(',', $row['group_concat(hp.hb_parameter_id)']);
							$paradelete = explode(',', $row['group_concat(hp.dj_is_deleted)']);
							$paradenied = explode(',', $row['group_concat(hp.dj_is_denied)']);
							$param_array = [];
							$display = true;
							foreach ($paraname as $key => $value) {
								if ($paradelete[$key] != 1 && $paradenied[$key] != 1) {
									$param_array[$paraval[$key]]["name"] = $value;
									$param_array[$paraval[$key]]["dj_is_deleted"] = $paradelete[$key];
									$param_array[$paraval[$key]]["dj_is_denied"] = $paradenied[$key];
								}
							}

							if (!empty($param_array)) {
								?>


								<tr class="<?php echo $_class; ?> cont_<?php echo $row['hb_bidder_id']; ?> compara"
									style="background-color:rgba(51, 148, 233, 0.15);">
									<td style="font-size: 13px;font-weight: bold;text-align: center;"></td>
									<td style="font-size: 13px;font-weight: bold;">Parameter name</td>
									<td style="font-size: 13px;font-weight: bold;">Action</td>
									<td></td>
									<td></td>
									<td></td>
								</tr>
								<!-- parameter value-->

								<?php


								$pi = 0;
								foreach (array_combine($paraval, $paraname) as $val => $name) {
									if ($paradelete[$pi] == '0') {
										?>
										<tr class="cont_<?php echo $row['hb_bidder_id']; ?> compara"
											style="background-color:rgba(51, 148, 233, 0.15);">
											<td>
												<center><img src="assets/images/plus.png" width="10" height="10" class="showsubparameter"
														id="plus_subparam_<?php echo $val; ?>"></center>
											</td>
											<td>
												<?php print_r($name); ?>
											</td>
											<td class="" colspan="3">
												<input type="button" class="addsub" id="add_supbp_<?php echo $val; ?>"
													value="Add sub parameter">

												<?php
												$params = OA_Dal_Delivery_query("SELECT * from {$table_prefix}djax_hb_params where dj_is_deleted='0' and hb_bidder_id='" . $row['hb_bidder_id'] . "'");

												if (OA_Dal_Delivery_numRows($params) > 1) {
													?>
													<input type="button" class="delpara" id="delete_para_<?php echo $val; ?>" value="Delete">
												<?php
												} ?>
												<!-- Block and Unblock - param-->
												<!--<?php if ($paradenied[$pi] == '0') { ?>	
						<input type="button" class="blcpara" id="blck_para_<?php echo $val; ?>" value="Block">
					<?php } else { ?>
						<input type="button" class="ublcpara" id="blck_para_<?php echo $val; ?>" value="Unblock">
					<?php } ?>-->
												<!-- Block and Unblock-->
											</td>

											<td></td>
										</tr>
										<tr class="cont_<?php echo $row['hb_bidder_id']; ?> compara subparasubmit submit_<?php echo $row['hb_bidder_id']; ?>"
											style="background-color:rgba(51, 148, 233, 0.15);"
											id="submit_<?php echo $row['hb_bidder_id']; ?>">
											<td></td>
											<td></td>
											<td></td>
											<td><input type="submit" name="submit" value="submit"></td>
											<td></td>
											<td></td>
										</tr>
										<tr class="<?php echo $_class; ?> showsubparam showsubparam_<?php echo $val ?>"
											id="showsubparam_<?php echo $row['hb_parameter_id']; ?>"
											style="background-color: rgba(39, 176, 230, 0.27);">
											<td></td>
											<td colspan='2'>
												<p class="left" style="font-size: 13px;font-weight: 600;">Sub Parameter name</p>
											</td>
											<td colspan='3'>
												<p class="right" style="font-size: 13px;font-weight: 600;">Action</p>
											</td>

										</tr>
										<?php

										$getsubpara = OA_Dal_Delivery_query("SELECT * from {$table_prefix}djax_hb_sub_param where hb_parameter_id='" . $val . "' AND dj_is_deleted='0' ");

										if (OA_Dal_Delivery_numRows($getsubpara) > 0) {
											while ($subpara = OA_Dal_Delivery_fetchAssoc($getsubpara)) {

												?>
												<tr class="<?php echo $_class; ?> showsubparam showsubparam2_<?php echo $subpara['hb_parameter_id']; ?>"
													id="showsubparam2_<?php echo $subpara['hb_sub_parameter_id']; ?>"
													style="background-color: rgba(39, 176, 230, 0.27);">
													<td></td>
													<td colspan='2'><?php echo $subpara['hb_sub_parameter_name']; ?></td>
													<td class="" colspan='2'>
														<input type="button" class="delsubpara"
															id="delete_para_<?php echo $subpara['hb_sub_parameter_id']; ?>" value="Delete">
														<!-- Block and Unblock - param-->
														<!--<?php if ($subpara['dj_is_denied'] == '0') { ?>	
									<input type="button" class="blcsubpara" id="blck_subpara_<?php echo $subpara['hb_sub_parameter_id']; ?>" value="Block">
								<?php } else { ?>
									<input type="button" class="ublcsubpara" id="blck_subpara_<?php echo $subpara['hb_sub_parameter_id']; ?>" value="Unblock">
								<?php } ?>-->
														<!-- Block and Unblock-->
													</td>
													<td></td>
												</tr>
												<?php
											}
										} else { ?>

											<tr id="no_sub_msg" class="<?php echo $_class; ?> showsubparam showsubparam2_<?php echo $val; ?>"
												style="background-color: rgba(39, 176, 230, 0.27);">

												<td colspan="7" style="text-align:center;">CURRENTLY THERE ARE NO SUB PARAMETER AVAILABLE TO
													LIST </td>
											</tr>

										<?php
										}
										?>
									<?php

									}
									$pi++;
								}
							} else {
								?>
								<tr class="cont_<?php echo $row['hb_bidder_id']; ?> compara"
									style="background-color: rgba(39, 176, 230, 0.27);">

									<td colspan="7" style="text-align:center;">CURRENTLY THERE ARE NO PARAMETER AVAILABLE FOR
										SELECTED BIDDER </td>
								</tr>

							<?php
							}

							$i++;
	}
} else {
	?>
						<tr class='odd'>
							<td colspan='6'>&nbsp;</td>
						</tr>
						<tr class='even'>
							<td colspan='4' class="hasPanel">
								<div class='tableMessage'>
									<div class='panel'>
										CURRENTLY THERE ARE NO BIDDERS AVAILABLE TO LIST
										<div class='corner top-left'></div>
										<div class='corner top-right'></div>
										<div class='corner bottom-left'></div>
										<div class='corner bottom-right'></div>
									</div>
								</div>
							</td>
							<td>&nbsp;</td>
						</tr>
						<tr class='odd'>
							<td colspan='4'>&nbsp;</td>
							<td colspan='4'>&nbsp;</td>
						</tr>
						<?php
}
?>

					<tr>
						<td></td>
						<td></td>
						<td></td>
						<td></td>
						<td colspan="2">


						</td>
					</tr>
					</tbody>
					</table>
					<!--div style="float:right;">

	<?php
	$temptotalrecords = $_SESSION['totalrecords'];

	if ($temptotalrecords > 1) {

		$countrow = OA_Dal_Delivery_query("SELECT hp.hb_bidder_id from {$table_prefix}djax_hb_bidders_list as bl join {$table_prefix}djax_hb_params as hp on bl.hb_bidder_id=hp.hb_bidder_id where bl.hb_bidder_id
					IN (hp.hb_bidder_id) AND bl.dj_is_deleted=0 group by hp.hb_bidder_id");
		$total_records = OA_Dal_Delivery_numRows($countrow);
		if ($total_records)

			$total_pages = ceil($total_records / $setLimit);

		$page = $_GET['page'];

		if ($page == 0)
			$page = 1;
		$prev = $page - 1;
		$next = $page + 1;

		if ($total_pages > 1) { ?>
				<div class="pagination">
					
						<?php
						//previous button
				
						if ($page > 1) { ?>
						
							<a href="bidder-list-index.php?page=<?php echo $prev; ?>" style="font-size:15px;padding: 0px 8px 0px 8px;border: none;text-decoration:none;">« previous</a>
			
						<?php
						}
						//next button
						if ($page < $total_pages) { ?>
						
							<a href="bidder-list-index.php?page=<?php echo $next; ?>" style="font-size:15px;padding: 0px 8px 0px 8px;border:0px;text-decoration:none;">next »</a>

					</div>
					<?php
						}
		}
	}
	?>

</div-->
					<br /><br />
					<div style="float: right">
						<!-- pagination - start -->
						<?php

						echo displayPaginationBelow($setLimit, $page, $affiliateid, $table_prefix);

						?>
						<!-- pagination - end -->
					</div>
					</form>
		</div>
</body>

</html>

<?php
function displayPaginationBelow($per_page, $page, $affiliateid, $table_prefix)
{

	$temptotalrecords1 = $_SESSION['totalrecords'];


	if ($temptotalrecords1 > 0) {

		$page_query = OA_Dal_Delivery_query("SELECT hp.hb_bidder_id from {$table_prefix}djax_hb_bidders_list as bl join {$table_prefix}djax_hb_params as hp on bl.hb_bidder_id=hp.hb_bidder_id where bl.hb_bidder_id
						IN (hp.hb_bidder_id) AND bl.dj_is_deleted=0 group by hp.hb_bidder_id");


		$total = OA_Dal_Delivery_numRows($page_query);

		$adjacents = "2";
		$page = ($page == 0 ? 1 : $page);
		$start = ($page - 1) * $per_page;
		$prev = $page - 1;
		$next = $page + 1;
		$setLastpage = ceil($total / $per_page);

		$lpm1 = $setLastpage - 1;
		//~ $page_url="?";
		$page_url = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://" . $GLOBALS['conf']['webpath']['admin'] . "/plugins/HbSettings/bidder-list-index.php?" : "http://" . $GLOBALS['conf']['webpath']['admin'] . "/plugins/HbSettings/bidder-list-index.php?";
		$setPaginate = "";
		if ($setLastpage > 1) {

			$setPaginate .= "<ul class='setPaginate'>";
			$setPaginate .= "<li class='setPage'>Page $page of $setLastpage</li>";

			if ($page > 1) {
				$setPaginate .= "<li><a href='{$page_url}page=1'>First</a></li>";
				$setPaginate .= "<li><a href='{$page_url}page=$prev'>Previous</a></li>";
			} else {
				$setPaginate .= "<li><a class='current_page'>First</a></li>";
				$setPaginate .= "<li><a class='current_page'>Prev</a></li>";
			}
			if ($setLastpage < 7 + ($adjacents * 2)) {

				for ($counter = 1; $counter <= $setLastpage; $counter++) {

					if ($counter == $page) {
						$setPaginate .= "<li><a class='current_page'>$counter</a></li>";
					} else {

						$setPaginate .= "<li><a href='{$page_url}page=$counter'>$counter</a></li>";
					}
				}
			} elseif ($setLastpage > 5 + ($adjacents * 2)) {

				if ($page < 1 + ($adjacents * 2)) {
					for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++) {
						if ($counter == $page) {
							$setPaginate .= "<li><a class='current_page'>$counter</a></li>";
						} else {
							$setPaginate .= "<li><a href='{$page_url}page=$counter'>$counter</a></li>";
						}
					}
					$setPaginate .= "<li class='dot'>...</li>";
					$setPaginate .= "<li><a href='{$page_url}page=$lpm1'>$lpm1</a></li>";
					$setPaginate .= "<li><a href='{$page_url}page=$setLastpage'>$setLastpage</a></li>";
				} elseif ($setLastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2)) {
					$setPaginate .= "<li><a href='{$page_url}page=1'>1</a></li>";
					$setPaginate .= "<li><a href='{$page_url}page=2'>2</a></li>";
					$setPaginate .= "<li class='dot'>...</li>";
					for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++) {
						if ($counter == $page) {
							$setPaginate .= "<li><a class='current_page'>$counter</a></li>";
						} else {
							$setPaginate .= "<li><a href='{$page_url}page=$counter'>$counter</a></li>";
						}
					}
					$setPaginate .= "<li class='dot'>..</li>";
					$setPaginate .= "<li><a href='{$page_url}page=$lpm1'>$lpm1</a></li>";
					$setPaginate .= "<li><a href='{$page_url}page=$setLastpage'>$setLastpage</a></li>";
				} else {
					$setPaginate .= "<li><a href='{$page_url}page=1'>1</a></li>";
					$setPaginate .= "<li><a href='{$page_url}page=2'>2</a></li>";
					$setPaginate .= "<li class='dot'>..</li>";
					for ($counter = $setLastpage - (2 + ($adjacents * 2)); $counter <= $setLastpage; $counter++) {
						if ($counter == $page) {
							$setPaginate .= "<li><a class='current_page'>$counter</a></li>";
						} else {
							$setPaginate .= "<li><a href='{$page_url}page=$counter'>$counter</a></li>";
						}
					}
				}
			}
			if ($page < $counter - 1) {
				$setPaginate .= "<li><a href='{$page_url}page=$next'>Next</a></li>";
				$setPaginate .= "<li><a href='{$page_url}page=$setLastpage'>Last</a></li>";
			} else {
				$setPaginate .= "<li><a class='current_page'>Next</a></li>";
				$setPaginate .= "<li><a class='current_page'>Last</a></li>";
			}

			$setPaginate .= "</ul>\n";

		}

		return $setPaginate;
	}
}

phpAds_PageFooter();

?>