<?php
function renderOutput_nonlinearwrapperVast1($aOut, $pluginType, $vastAdDescription,$format,$aBanner)
{

if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}
 $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    $adName = $aOut['name'];
    $player = "";
    $player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "        <Wrapper>";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
	
	    	    $player .= "<Description><![CDATA[$vastAdDescription]]></Description>\n";
		    $player .= "<Impression>";
		    $player .= "<URL id=\"primaryAdServer\"><![CDATA[${aOut['impressionUrl']}]]></URL>";
$player .= "</Impression>";
		    if(!empty($aOut['thirdPartyImpressionUrl'])) {
$player .= "<Impression>";
			$player .= "<URL id=\"secondaryAdServer\"><![CDATA[${aOut['thirdPartyImpressionUrl']}]]></URL>";
$player .= "</Impression>";
		    }		$wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);	
			 $player .= "<AdTagURL>";
		 $player .= $wrapurl;
		 $player .= "</AdTagURL>";

				if ( isset($aOut['companionMarkup'])  )
		{
			if(!empty($aOut['companionClickUrl'])) {
			    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
			    $CompanionClickThrough .= "                        <URL><![CDATA[${aOut['companionClickUrl']}]]></URL>\n";
			    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
			}
			//debugdump( '$companionOutput', $companionOutput );
			$player .= "             <CompanionAds>\n";
			$player .= "                <Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" resourceType=\"HTML\">\n";
			$player .= "                    <Code><![CDATA[${aOut['companionMarkup']}]]></Code>\n";
			$player .= "					$CompanionClickThrough";
			$player .= "                </Companion>\n";
			$player .= "            </CompanionAds>\n";
	   	 }

		if($pluginType == 'vastOverlay')
		{
			$code = $resourceType = $creativeType = $elementName = '';

		if(!empty($aOut['clickUrl']) && (strpos($aOut['clickUrl'], '&oadest=') !== false)) 
			{
				    $nonLinearClickThrough = "<NonLinearClickThrough>
					    <![CDATA[${aOut['clickUrl']}]]>
					</NonLinearClickThrough>\n";
			}

			$creativeTypeAttribute = '';
			if(!empty($creativeType)) {
			    $creativeType = strtolower($creativeType);
			    $creativeTypeAttribute = 'creativeType="'. $creativeType .'"';
			}

			$player .= "             <NonLinearAds>\n";
			$player .= "                <NonLinear id=\"overlay\" width=\"${aOut['overlayWidth']}\" height=\"${aOut['overlayHeight']}\" resourceType=\"$resourceType\" $creativeTypeAttribute>\n";
			$player .= "                    $nonLinearClickThrough";
			$player .= "                </NonLinear>\n";
			$player .= "            </NonLinearAds>\n";
		}
    $player .= "        </Wrapper>\n";
    $player .= "    </Ad>\n";
    return $player;

}
function renderOutput_nonlinearwrapperVast2($aOut, $pluginType, $vastAdDescription,$format,$aBanner)
{
    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    $adName = $aOut['name'];
    $player = "";
    $player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "        <Wrapper>";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";

	
		    $player .= "<Impression>";
		    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
			$player .= "</Impression>";
		    if(!empty($aBanner['vast_thirdparty_impression'])) {
			$player .= "<Impression>";
			$player .= "<![CDATA[${aBanner['vast_thirdparty_impression']}]]>";
			$player .= "</Impression>";
		    }		$wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);	
	 	 $player .= "<VASTAdTagURI><![CDATA[";
		 $player .= $wrapurl;
		 $player .= "]]></VASTAdTagURI>";

$player.="<Creatives>";

	if ( $pluginType == 'djaxvastOverlay') 
	{
		$code = $resourceType = $creativeType = $elementName = '';
		switch($aOut['overlayFormat']) {
		    case VAST_OVERLAY_FORMAT_HTML:
		        $code = "<![CDATA[". $aOut['overlayMarkupTemplate'] . "]]>";
		        $resourceType = 'HTML';
		        $elementName = 'HTMLResource';
		    break;

		    case VAST_OVERLAY_FORMAT_IMAGE:
		        $creativeType = strtoupper($aOut['overlayContentType']);
		        // BC when the overlay_creative_type field is not set in the DB
		        if(empty($creativeType)) {
		            $creativeType = strtoupper(substr($aOut['overlayFilename'], -3));
		            // case of .jpeg files OXPL-493
		            if($creativeType == 'PEG') {
		                $creativeType = 'JPEG';
		            }
		        }
		        if($creativeType == 'JPEG') {
		            $creativeType = 'JPG';
		        }
		        $creativeType = 'image/'.$creativeType;
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_SWF:
		        $creativeType = 'application/x-shockwave-flash';
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_TEXT:
		        $resourceType = 'TEXT';
		        $code = "<![CDATA[
		        	<Title>".xmlspecialchars($aOut['overlayTextTitle'])."</Title>
		       		<Description>".xmlspecialchars($aOut['overlayTextDescription'])."</Description>
		       		<CallToAction>".xmlspecialchars($aOut['overlayTextCall'])."</CallToAction>
		       		]]>
		       ";
		        $elementName = 'HTMLResource';
		    break;
		}

		if(!empty($aOut['clickUrl']) && (strpos($aOut['clickUrl'], '&oadest=') !== false)) 
		 {
		    $nonLinearClickThrough = "<NonLinearClickThrough>
		            <![CDATA[${aOut['clickUrl']}]]>
		        </NonLinearClickThrough>\n";
		}

		$creativeTypeAttribute = '';
		if(!empty($creativeType)) {
		    $creativeType = strtolower($creativeType);
		    $creativeTypeAttribute = 'creativeType="'. $creativeType .'"';
		}
			if($vastAdDescription=='Overlay Video Ad')
			{


					$djax_trackingevent="<TrackingEvents>
							<Tracking event=\"creativeView\"><![CDATA[${aOut['trackUrlcreativeView']}]]></Tracking>
							<Tracking event=\"expand\"><![CDATA[${aOut['trackUrlexpand']}]]></Tracking>
							<Tracking event=\"collapse\"><![CDATA[${aOut['trackUrlcollapse']}]]></Tracking>
							<Tracking event=\"acceptInvitation\"><![CDATA[${aOut['trackUrlacceptInvitation']}]]></Tracking>
							<Tracking event=\"close\"><![CDATA[${aOut['trackUrlclose']}]]></Tracking>
							</TrackingEvents>";
			
				    $adid=!empty($aOut['ad_id'])?$aOut['ad_id']:$aOut['b_id'];
					$djax_vast_start="<Creative id=\"$adid\" sequence=\"1\">";

					if($resourceType=='static')
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "                <NonLinear id=\"overlay\" >\n";
						$player .= "                    $nonLinearClickThrough";
						$player .= "                </NonLinear>\n";

					}
					else
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "<NonLinear id=\"overlay\">\n";
						$player .= "$nonLinearClickThrough";
						$player .= "</NonLinear>\n";
					}

				$player .="</NonLinearAds></Creative>";
		
			}

    	}

	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                        <URL><![CDATA[${aOut['companionClickUrl']}]]></URL>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				}

				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}


if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}

				$conf = $GLOBALS['_MAX']['CONF'];
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				$player.="<Creative sequence=\"1\"><CompanionAds><Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" $expand_width $expand_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}

    $player.="</Creatives>";
    $player .= "        </Wrapper>\n";
    $player .= "    </Ad>\n";
    return $player;
}
function renderOutput_nonlinearwrapperVast3($aOut, $pluginType, $vastAdDescription,$format,$aBanner)
{

    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    $adName = $aOut['name'];
    $player = "";
    $player .= "    <Ad id=\"{player_allocated_ad_id}\" >";
    $player .= "        <Wrapper>";
    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
    $player .= "                <AdTitle><![CDATA[$adName]]></AdTitle>\n";
	if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}   
	
		    $player .= "<Impression>";
		    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
		    $player .= "</Impression>";
		    if(!empty($aOut['thirdPartyImpressionUrl'])) {
		    $player .= "<Impression>";
			$player .= "<![CDATA[${aBanner['vast_thirdparty_impression']}]]>";
		    $player .= "</Impression>";
		    }
		$wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);	
	 	  $player .= "<VASTAdTagURI><![CDATA[";
		 $player .= $wrapurl;//$aBanner['vast_overlay_wrapper']);
		 $player .= "]]></VASTAdTagURI>";

$player.="<Creatives>";

	if ( $pluginType == 'djaxvastOverlay') 
	{
		$code = $resourceType = $creativeType = $elementName = '';
		switch($aOut['overlayFormat']) {
		    case VAST_OVERLAY_FORMAT_HTML:
		        $code = "<![CDATA[". $aOut['overlayMarkupTemplate'] . "]]>";
		        $resourceType = 'HTML';
		        $elementName = 'HTMLResource';
		    break;

		    case VAST_OVERLAY_FORMAT_IMAGE:
		        $creativeType = strtoupper($aOut['overlayContentType']);
		        // BC when the overlay_creative_type field is not set in the DB
		        if(empty($creativeType)) {
		            $creativeType = strtoupper(substr($aOut['overlayFilename'], -3));
		            // case of .jpeg files OXPL-493
		            if($creativeType == 'PEG') {
		                $creativeType = 'JPEG';
		            }
		        }
		        if($creativeType == 'JPEG') {
		            $creativeType = 'JPG';
		        }
		        $creativeType = 'image/'.$creativeType;
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_SWF:
		        $creativeType = 'application/x-shockwave-flash';
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_TEXT:
		        $resourceType = 'TEXT';
		        $code = "<![CDATA[
		        	<Title>".xmlspecialchars($aOut['overlayTextTitle'])."</Title>
		       		<Description>".xmlspecialchars($aOut['overlayTextDescription'])."</Description>
		       		<CallToAction>".xmlspecialchars($aOut['overlayTextCall'])."</CallToAction>
		       		]]>
		       ";
		        $elementName = 'HTMLResource';
		    break;
		}

		if(!empty($aOut['clickUrl']) && (strpos($aOut['clickUrl'], '&oadest=') !== false)) 
		{
		    $nonLinearClickThrough .= "<NonLinearClickTracking>
		            <![CDATA[${aOut['clickUrl']}]]>
		        </NonLinearClickTracking>\n";	
		}

		$creativeTypeAttribute = '';
		if(!empty($creativeType)) {
		    $creativeType = strtolower($creativeType);
		    $creativeTypeAttribute = 'creativeType="'. $creativeType .'"';
		}
			if($vastAdDescription=='Overlay Video Ad')
			{
							$djax_trackingevent="<TrackingEvents>
							<Tracking event=\"creativeView\"><![CDATA[${aOut['trackUrlcreativeView']}]]></Tracking>
							<Tracking event=\"expand\"><![CDATA[${aOut['trackUrlexpand']}]]></Tracking>
							<Tracking event=\"collapse\"><![CDATA[${aOut['trackUrlcollapse']}]]></Tracking>
							</TrackingEvents>";
				
				$adid=!empty($aOut['ad_id'])?$aOut['ad_id']:$aOut['b_id'];
				$djax_vast_start="<Creative id=\"$adid\" sequence=\"1\">";

					if($resourceType=='static')
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "                <NonLinear id=\"overlay\" >\n";
						$player .= "                    $nonLinearClickThrough";
						$player .= "                </NonLinear>\n";

					}
					else
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "<NonLinear id=\"overlay\">\n";
						$player .= "$nonLinearClickThrough";
						$player .= "</NonLinear>\n";
					}

				$player .="</NonLinearAds></Creative>";
		
			}

    	}

	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
					 $CompanionClickThrough .= '<CompanionClickTracking>
							  <![CDATA['.$aOut['companionClickUrl'].']]>
							</CompanionClickTracking>';
				}

				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}


if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}
				$conf = $GLOBALS['_MAX']['CONF'];
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";

				$player.="<Creative sequence=\"1\"><CompanionAds><Companion id=\"companion\" width=\"${aOut['companionWidth']}\" height=\"${aOut['companionHeight']}\" $expand_width $expand_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
	
		$player.="</Creatives>";

    $player .= "        </Wrapper>\n";
    $player .= "    </Ad>\n";
    return $player;
}


function renderOutput_nonlinearwrapperVast4($aOut, $pluginType, $vastAdDescription,$format,$aBanner)
{

	 $banner_id=$aBanner['ad_id'];

	 $check_query = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select * from rv_djaxbanner_vast_element where banner_id = '".$banner_id."'"));
 	 $clickid=$check_query['banner_vast_element_id'];
	 $vast4_verificationurl1=$check_query['vast4_verificationurl1'];
	 $vast4_verificationurl2=$check_query['vast4_verificationurl2'];
	 
	 $vast4_category=$check_query['iabcategory'];

	 $vast4_url_1=$check_query['vast4_adverificationtype1'];
	 $vast4_url_2=$check_query['vast4_adverificationtype2'];
	 $conditionalad_delivery=$check_query['is_conditionalad'];
         $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
    	$adName = $aOut['name'];
    	$player = "";
    	$impressionid=rand();
    
    	if($conditionalad_delivery==1)
	{
		$conditionalad='conditionalAd="true"';
	}
	else	
	{
		$conditionalad='conditionalAd="false"';
	}
	$fallbackonnoads=$check_query['vast_wrapper_fallbacknoads'];
	$allowmultipleads=$check_query['vast_wrapper_allowmultipleads'];
	$followAdditional=$check_query['vast_wrapper_followadditional'];
	if($fallbackonnoads==1)
	{
		$fallbackad4='fallbackOnNoAd="1"';
	}
	else	
	{
		$fallbackad4='fallbackOnNoAd="0"';
	}
	if($allowmultipleads==1)
	{
		$allowmultipleads4='allowMultipleAds="1"';
	}
	else	
	{
		$allowmultipleads4='allowMultipleAds="0"';
	}
	if($followAdditional==1)
	{
		$followadditionalwrapper4='followAdditionalWrappers="1"';
	}
	else	
	{
		$followadditionalwrapper4='followAdditionalWrappers="0"';
	}
    	

	    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
	    $adName = $aOut['name'];
	    $player = "";
	    $player .= "    <Ad id=\"{player_allocated_ad_id}\" $conditionalad>";
	    $player .= "        <Wrapper $followadditionalwrapper4 $allowmultipleads4 $fallbackad4>";
	    $player .= "            <AdSystem><![CDATA[$adSystem]]></AdSystem>\n";
	
	/*Viewable Impression for Vast4*/
	   $player .= "				<ViewableImpression id=\"$impressionid\">
                 					<Viewable><![CDATA[${aOut['trackUrlviewable']}]]></Viewable>
                 					<NotViewable><![CDATA[${aOut['trackUrlnotviewable']}]]></NotViewable>
                 					<ViewUndetermined><![CDATA[${aOut['trackUrlundetermined']}]]></ViewUndetermined>
						</ViewableImpression>\n";
       /*IAB Category in vast response*/
	if(!empty($vast4_category))
	{
		$category=explode(',',$vast4_category);
		$cnt=count($category);
		//~ print_r($cnt);
		//~ exit();
		for($i=0;$i<$cnt-1;$i++)
		{
			//echo $key;
			
		$getcat=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT category_name FROM `djax_site_categories` where value ='$category[$i]'"));
		
		$player .= "<Category authority='http://www.iabtechlab.com/categoryauthority'><![CDATA[".$getcat['category_name']."]]></Category>";
		}
	}
	/*IAB Category in vast response*/
if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	}  
	
		    $player .= "<Impression>\n";
		    $player .= "<![CDATA[${aOut['impressionUrl']}]]>\n";
		    $player .= "</Impression>\n";
		    if(!empty($aOut['thirdPartyImpressionUrl'])) {
		    $player .= "<Impression>\n";
			$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>\n";
		    $player .= "</Impression>\n";
		    }
	


	$wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);	

	 	  $player .= "<VASTAdTagURI><![CDATA[";
		 $player .=$wrapurl;
		 $player .= "]]></VASTAdTagURI>";

$player.="<Creatives>";

	if ( $pluginType == 'djaxvastOverlay') 
	{
		$code = $resourceType = $creativeType = $elementName = '';
		switch($aOut['overlayFormat']) {
		    case VAST_OVERLAY_FORMAT_HTML:
		        $code = "<![CDATA[". $aOut['overlayMarkupTemplate'] . "]]>";
		        $resourceType = 'HTML';
		        $elementName = 'HTMLResource';
		    break;

		    case VAST_OVERLAY_FORMAT_IMAGE:
		        $creativeType = strtoupper($aOut['overlayContentType']);
		        // BC when the overlay_creative_type field is not set in the DB
		        if(empty($creativeType)) {
		            $creativeType = strtoupper(substr($aOut['overlayFilename'], -3));
		            // case of .jpeg files OXPL-493
		            if($creativeType == 'PEG') {
		                $creativeType = 'JPEG';
		            }
		        }
		        if($creativeType == 'JPEG') {
		            $creativeType = 'JPG';
		        }
		        $creativeType = 'image/'.$creativeType;
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_SWF:
		        $creativeType = 'application/x-shockwave-flash';
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_TEXT:
		        $resourceType = 'TEXT';
		        $code = "<![CDATA[
		        	<Title>".xmlspecialchars($aOut['overlayTextTitle'])."</Title>
		       		<Description>".xmlspecialchars($aOut['overlayTextDescription'])."</Description>
		       		<CallToAction>".xmlspecialchars($aOut['overlayTextCall'])."</CallToAction>
		       		]]>
		       ";
		        $elementName = 'HTMLResource';
		    break;
		}

		if(!empty($aOut['clickUrl']) && (strpos($aOut['clickUrl'], '&oadest=') !== false)) 
		{
		    $nonLinearClickThrough .= "<NonLinearClickTracking>
		            <![CDATA[${aOut['clickUrl']}]]>
		        </NonLinearClickTracking>\n";	
		}

		$creativeTypeAttribute = '';
		if(!empty($creativeType)) {
		    $creativeType = strtolower($creativeType);
		    $creativeTypeAttribute = 'creativeType="'. $creativeType .'"';
		}
			if($vastAdDescription=='Overlay Video Ad')
			{
							$djax_trackingevent="<TrackingEvents>
							<Tracking event=\"creativeView\"><![CDATA[${aOut['trackUrlcreativeView']}]]></Tracking>
							<Tracking event=\"adExpand\"><![CDATA[${aOut['trackUrlexpand']}]]></Tracking>
							<Tracking event=\"adCollapse\"><![CDATA[${aOut['trackUrlcollapse']}]]></Tracking>
							<Tracking event=\"acceptInvitation\"><![CDATA[${aOut['trackUrlacceptInvitation']}]]></Tracking>
							<Tracking event=\"close\"><![CDATA[${aOut['trackUrlclose']}]]></Tracking>
							<Tracking event=\"overlayViewDuration\"><![CDATA[${aOut['trackUrloverlayViewDuration']}]]></Tracking>
							<Tracking event=\"otherAdInteraction\"><![CDATA[${aOut['trackUrlotherAdInteraction']}]]></Tracking>
							<Tracking event=\"minimize\"><![CDATA[${aOut['trackUrlexitFullscreen']}]]></Tracking>
							</TrackingEvents>";
				
				$adid=!empty($aOut['ad_id'])?$aOut['ad_id']:$aOut['b_id'];
				
				$djax_vast_start="<Creative id=\"$adid\" sequence=\"1\">";

					if($resourceType=='static')
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "                <NonLinear>\n";
						$player .= "                    $nonLinearClickThrough";
						$player .= "                </NonLinear>\n";

					}
					else
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "<NonLinear>\n";
						$player .= "$nonLinearClickThrough";
						$player .= "</NonLinear>\n";
					}

				$player .="</NonLinearAds></Creative>";
		
			}

    	}

	
	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= "<CompanionClickTracking id=\"$clickid\">
							  <![CDATA[".$aOut['vast_thirdparty_companion_clicktracking']."]]>
							</CompanionClickTracking>";
				    	}
				}

					if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}

				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
					if(!empty($aOut['vast_thirdparty_companion_assetwidth']))
				{
					$asset_width="assetWidth=\"${aOut['vast_thirdparty_companion_assetwidth']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_alttext'])) 
				{
					$companionalttxt='<AltText><![CDATA['.$aOut['vast_thirdparty_companion_alttext'].']]></AltText>';
				}
				if(!empty($aOut['vast_thirdparty_companion_assetheight']))
				{
					$asset_height="assetHeight=\"${aOut['vast_thirdparty_companion_assetheight']}\"";
				}

				if(!empty($aOut['vast_thirdparty_companion_pxratio']))
				{
					$pxratio="pxratio=\"${aOut['vast_thirdparty_companion_pxratio']}\"";
				}
				$conf = $GLOBALS['_MAX']['CONF'];
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				$adslotid=md5($_REQUEST['zones'].$aOut['companionbannerid']);//adslotID=\"${adslotid}\"
				$player.="<Creative><CompanionAds required='any'><Companion id=\"${aOut['companionbannerid']}\"  width=\"${aOut['companionWidth']}\"  $pxratio height=\"${aOut['companionHeight']}\"  $expand_width $expand_height $asset_width $asset_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$companionalttxt";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
	
		$player.="</Creatives>";

    $player .= "        </Wrapper>\n";
    $player .= "    </Ad>\n";
    return $player;
}


function renderOutput_nonlinearwrapperVast41($aOut, $pluginType, $vastAdDescription,$format,$aBanner)
{
	$conf = $GLOBALS['_MAX']['CONF'];
	  $table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	
	$servername=$_SERVER['SERVER_NAME'];
	$guid=getGUID();
    $adservingid=md5($servername.$guid.$aBanner['ad_id']);//Adservering ID generated based on server name and GUID and BannerId
	$banner_id=$aBanner['ad_id'];
	$query="select cl.clientid as clientid,cl.clientname as name,c.expire_time as expire_time from {$table_prefix}clients as cl,{$table_prefix}campaigns as c where c.clientid=cl.clientid and c.campaignid='".$aBanner['placement_id']."'";
	$getadvertisement = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query($query));
	$advertisername=$getadvertisement['name'];
	$clientid=$getadvertisement['clientid'];
	$expiretime=strtotime($getadvertisement['expire_time']);
	 $banner_id=$aBanner['ad_id'];
	 $check_query = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select * from {$table_prefix}djaxbanner_vast_element where banner_id = '".$banner_id."'"));
 	 $clickid=$check_query['banner_vast_element_id'];
	 $vast4_verificationurl1=$check_query['vast4_verificationurl1'];
	 $vast4_verificationurl2=$check_query['vast4_verificationurl2'];
	 $vast4_category=$check_query['iabcategory'];
	 $vast4_url_1=$check_query['vast4_adverificationtype1'];
	 $vast4_url_2=$check_query['vast4_adverificationtype2'];
	 $conditionalad_delivery=$check_query['is_conditionalad'];
     $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
     $adName = $aOut['name'];
     $player = "";
     $impressionid=rand();
    if($conditionalad_delivery==1)
	{
		$conditionalad='conditionalAd="true"';
	}
	else	
	{
		$conditionalad='conditionalAd="false"';
	}
	$fallbackonnoads=$check_query['vast_wrapper_fallbacknoads'];
	$allowmultipleads=$check_query['vast_wrapper_allowmultipleads'];
	$followAdditional=$check_query['vast_wrapper_followadditional'];
	if($fallbackonnoads==1)
	{
		$fallbackad4='fallbackOnNoAd="1"';
	}
	else	
	{
		$fallbackad4='fallbackOnNoAd="0"';
	}
	if($allowmultipleads==1)
	{
		$allowmultipleads4='allowMultipleAds="1"';
	}
	else	
	{
		$allowmultipleads4='allowMultipleAds="0"';
	}
	if($followAdditional==1)
	{
		$followadditionalwrapper4='followAdditionalWrappers="1"';
	}
	else	
	{
		$followadditionalwrapper4='followAdditionalWrappers="0"';
	}
	    $adSystem = $GLOBALS['_MAX']['CONF']['ui']['applicationName'] ? $GLOBALS['_MAX']['CONF']['ui']['applicationName'] : 'Revive Adserver';
	    $adName = $aOut['name'];
	    $player = "";
	    $player .= "    <Ad id=\"{player_allocated_ad_id}\" $conditionalad>";
	    $player .= "        <Wrapper $followadditionalwrapper4 $allowmultipleads4 $fallbackad4>";
	    $player .= "<AdSystem version=\"4.1\"><![CDATA[$adSystem]]></AdSystem>\n";
    	//Adserving Id//
    	$player .= "<AdServingId>$adservingid</AdServingId>\n";
    	//Advertiser Name 
    	$player .= "<Advertiser id='$clientid'>$advertisername</Advertiser>\n";
    	//Description 
    	if(!empty($aBanner['name']))
    	{
    	$player .= "<Description>${aBanner['name']}</Description>\n";
		}
    	//Expires
    	if(!empty($expiretime))
    	{
    	$player .= "<Expires>$expiretime</Expires>\n";
		}
	
	/*Viewable Impression for Vast4*/
	   $player .= "				<ViewableImpression id=\"$impressionid\">
                 					<Viewable><![CDATA[${aOut['trackUrlviewable']}]]></Viewable>
                 					<NotViewable><![CDATA[${aOut['trackUrlnotviewable']}]]></NotViewable>
                 					<ViewUndetermined><![CDATA[${aOut['trackUrlundetermined']}]]></ViewUndetermined>
						</ViewableImpression>\n";
						
       /*IAB Category in vast response*/
       $vast4_category=$check_query['iabcategory'];
	if(!empty($vast4_category))
	{
		$category=explode(',',$vast4_category);
		$cnt=count($category);
		//~ print_r($cnt);
		//~ exit();
		for($i=0;$i<$cnt-1;$i++)
		{
			//echo $key;
			
		$getcat=OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT category_name FROM `djax_site_categories` where value ='$category[$i]'"));
		
		$player .= "<Category authority='http://www.iabtechlab.com/categoryauthority'><![CDATA[".$getcat['category_name']."]]></Category>";
		}
	}
	/*IAB Category in vast response*/
	if(!empty($aOut['price']))
	{
	$player .="<Pricing model=\"${aOut['pricingtype']}\"  currency='USD'>
                <![CDATA[${aOut['price']}]]>
            </Pricing>\n";
	} 
	
		    $player .= "<Impression>";
		    $player .= "<![CDATA[${aOut['impressionUrl']}]]>";
		    $player .= "</Impression>";
		    if(!empty($aOut['thirdPartyImpressionUrl'])) {
		    $player .= "<Impression>";
			$player .= "<![CDATA[${aOut['thirdPartyImpressionUrl']}]]>";
		    $player .= "</Impression>";
		    }$wrapurl=dynamic_url($aOut, $pluginType, $vastAdDescription,$format,$aBanner);	

	 	 $player .= "<VASTAdTagURI><![CDATA[";
		 $player .= $wrapurl;
		 $player .= "]]></VASTAdTagURI>";

	$player.="<Creatives>";
	if ( $pluginType == 'djaxvastOverlay') 
	{
		$code = $resourceType = $creativeType = $elementName = '';
		switch($aOut['overlayFormat']) {
		    case VAST_OVERLAY_FORMAT_HTML:
		        $code = "<![CDATA[". $aOut['overlayMarkupTemplate'] . "]]>";
		        $resourceType = 'HTML';
		        $elementName = 'HTMLResource';
		    break;

		    case VAST_OVERLAY_FORMAT_IMAGE:
		        $creativeType = strtoupper($aOut['overlayContentType']);
		        // BC when the overlay_creative_type field is not set in the DB
		        if(empty($creativeType)) {
		            $creativeType = strtoupper(substr($aOut['overlayFilename'], -3));
		            // case of .jpeg files OXPL-493
		            if($creativeType == 'PEG') {
		                $creativeType = 'JPEG';
		            }
		        }
		        if($creativeType == 'JPEG') {
		            $creativeType = 'JPG';
		        }
		        $creativeType = 'image/'.$creativeType;
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_SWF:
		        $creativeType = 'application/x-shockwave-flash';
		        $code = getImageUrlFromFilename($aOut['overlayFilename']);
		        $resourceType = 'static';
		        $elementName = 'StaticResource';
		    break;

		    case VAST_OVERLAY_FORMAT_TEXT:
		        $resourceType = 'TEXT';
		        $code = "<![CDATA[
		        	<Title>".xmlspecialchars($aOut['overlayTextTitle'])."</Title>
		       		<Description>".xmlspecialchars($aOut['overlayTextDescription'])."</Description>
		       		<CallToAction>".xmlspecialchars($aOut['overlayTextCall'])."</CallToAction>
		       		]]>
		       ";
		        $elementName = 'HTMLResource';
		    break;
		}

		if(!empty($aOut['clickUrl']) && (strpos($aOut['clickUrl'], '&oadest=') !== false)) 
		{
		    $nonLinearClickThrough .= "<NonLinearClickTracking>
		            <![CDATA[${aOut['clickUrl']}]]>
		        </NonLinearClickTracking>\n";	
		}

		$creativeTypeAttribute = '';
		if(!empty($creativeType)) {
		    $creativeType = strtolower($creativeType);
		    $creativeTypeAttribute = 'creativeType="'. $creativeType .'"';
		}
			if($vastAdDescription=='Overlay Video Ad')
			{


							$djax_trackingevent="<TrackingEvents>
							<Tracking event=\"creativeView\"><![CDATA[${aOut['trackUrlcreativeView']}]]></Tracking>
							<Tracking event=\"adExpand\"><![CDATA[${aOut['trackUrlexpand']}]]></Tracking>
							<Tracking event=\"adCollapse\"><![CDATA[${aOut['trackUrlcollapse']}]]></Tracking>
							<Tracking event=\"acceptInvitation\"><![CDATA[${aOut['trackUrlacceptInvitation']}]]></Tracking>
							<Tracking event=\"close\"><![CDATA[${aOut['trackUrlclose']}]]></Tracking>
							<Tracking event=\"overlayViewDuration\"><![CDATA[${aOut['trackUrloverlayViewDuration']}]]></Tracking>
							<Tracking event=\"otherAdInteraction\"><![CDATA[${aOut['trackUrlotherAdInteraction']}]]></Tracking>
							<Tracking event=\"minimize\"><![CDATA[${aOut['trackUrlexitFullscreen']}]]></Tracking>
							</TrackingEvents>";
				$adid=!empty($aOut['ad_id'])?$aOut['ad_id']:$aOut['b_id'];
				$djax_vast_start="<Creative id=\"$adid\" sequence=\"1\">";

					if($resourceType=='static')
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "                <NonLinear>\n";
						$player .= "                    $nonLinearClickThrough";
						$player .= "                </NonLinear>\n";

					}
					else
					{
						$player.=" $djax_vast_start<NonLinearAds>\n";
						$player.=" $djax_trackingevent\n";
						$player .= "<NonLinear>\n";
						$player .= "$nonLinearClickThrough";
						$player .= "</NonLinear>\n";
					}

				$player .="</NonLinearAds></Creative>";
		
			}

    	}

	
	if ( isset($aOut['companionMarkup'])  )
	{
				
				if(!empty($aOut['companionClickUrl'])) 
				{
				    $CompanionClickThrough  = "                    <CompanionClickThrough>\n";
				    $CompanionClickThrough .= "                       <![CDATA[${aOut['companionClickUrl']}]]>\n";
				    $CompanionClickThrough .= "                    </CompanionClickThrough>\n";
				       	if(!empty($aOut['vast_thirdparty_companion_clicktracking'])) 
					{
					 $CompanionClickThrough .= "<CompanionClickTracking id=\"$clickid\">
							  <![CDATA[".$aOut['vast_thirdparty_companion_clicktracking']."]]>
							</CompanionClickTracking>";
				    	}
				}

if ($GLOBALS['_MAX']['SSL_REQUEST']) {
					$djprotocol='https://';
					}
					else
					{
					$djprotocol='http://';
					}

				if(!empty($aOut['vast_thirdparty_companion_expandedwidth']))
				{
					$expand_width="expandedWidth=\"${aOut['vast_thirdparty_companion_expandedwidth']}\"";
				}
				
				if(!empty($aOut['vast_thirdparty_companion_expandedheight']))
				{
					$expand_height="expandedHeight=\"${aOut['vast_thirdparty_companion_expandedheight']}\"";
				}
					if(!empty($aOut['vast_thirdparty_companion_assetwidth']))
				{
					$asset_width="assetWidth=\"${aOut['vast_thirdparty_companion_assetwidth']}\"";
				}
				if(!empty($aOut['vast_thirdparty_companion_alttext'])) 
				{
					$companionalttxt='<AltText><![CDATA['.$aOut['vast_thirdparty_companion_alttext'].']]></AltText>';
				}
				if(!empty($aOut['vast_thirdparty_companion_assetheight']))
				{
					$asset_height="assetHeight=\"${aOut['vast_thirdparty_companion_assetheight']}\"";
				}

				if(!empty($aOut['vast_thirdparty_companion_pxratio']))
				{
					$pxratio="pxratio=\"${aOut['vast_thirdparty_companion_pxratio']}\"";
				}
				$conf = $GLOBALS['_MAX']['CONF'];
				$createview=$djprotocol.$conf['webpath']['delivery'].'/fc.php?script=rmvideoAds:rmvastEvent&bannerid='.$aOut['companionbannerid'].'&zoneid=0&event=creativeView';
				$CompanionTrackingEvents  = "                    <TrackingEvents>\n";
				$CompanionTrackingEvents .= "                        <Tracking event=\"creativeView\"><![CDATA[${createview}]]></Tracking>\n";
				$CompanionTrackingEvents .= "                    </TrackingEvents>\n";
				$adslotid=md5($_REQUEST['zones'].$aOut['companionbannerid']);//adslotID=\"${adslotid}\"
				$player.="<Creative><CompanionAds required='any'><Companion id=\"${aOut['companionbannerid']}\"  width=\"${aOut['companionWidth']}\"  $pxratio height=\"${aOut['companionHeight']}\"  $expand_width $expand_height $asset_width $asset_height><HTMLResource>
              <![CDATA[${aOut['companionMarkup']}]]>
             </HTMLResource>";
				$player .= "$companionalttxt";
				$player .= "$CompanionTrackingEvents$CompanionClickThrough";
				$player.="</Companion></CompanionAds></Creative>";
				
	}
	
		$player.="</Creatives>";

    $player .= "        </Wrapper>\n";
    $player .= "    </Ad>\n";
    return $player;
}


?>
