<?php
require_once '../../../../init.php';

if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
} else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli'){
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

require_once MAX_PATH . '/www/admin/config.php';
 
//list Requested publisher bidder's in admin side 
if(isset($_GET['bidid']) && isset($_GET['affid']))
{	 
	$bidid = $_GET['bidid'];
	$pubid = $_GET['affid'];
	
	$get_param = OA_Dal_Delivery_query("SELECT pv.account_id,hp.hb_bidder_id,hp.hb_parameter_id,hp.hb_parameter_name,pv.param_value,pv.parameter_id,hss.hb_sub_parameter_id,hss.hb_sub_parameter_name,hss.sub_param_value,hp.required as prequired,hss.srequired as srequired 
	from {$table_prefix}djax_hb_params as hp
	left join {$table_prefix}djax_hb_param_value as pv on pv.parameter_id = hp.hb_parameter_id 
	LEFT JOIN (
	SELECT GROUP_CONCAT( hb_sub_parameter_id ) AS hb_sub_parameter_id, GROUP_CONCAT( hb_sub_parameter_name ) AS hb_sub_parameter_name, GROUP_CONCAT( required ) AS srequired, hb_parameter_id,GROUP_CONCAT( sub_param_value ) AS sub_param_value
	FROM {$table_prefix}djax_hb_sub_param as hs LEFT JOIN {$table_prefix}djax_hb_sub_param_value as sp ON sp.sub_para_id = hs.hb_sub_parameter_id where hs.dj_is_denied = '0' and hs.dj_is_deleted='0' and sp.dj_is_subparam_deleted='0' and sp.dj_is_subparam_denied='0' GROUP BY sp.parameter_id,hs.hb_parameter_id
	) as hss on hss.hb_parameter_id = hp.hb_parameter_id
	where pv.account_id ='$pubid' and hp.hb_bidder_id='$bidid' and hp.dj_is_deleted='0' and hp.dj_is_denied='0'");
	
	$result =[];
	if(OA_Dal_Delivery_numRows($get_param) > 0){				
		while($getparam=OA_Dal_Delivery_fetchAssoc($get_param)){
			$result[] = $getparam;
		}
	}
	
	echo json_encode($result);
	exit;	 
}

if(isset($_GET['bidderid']) && isset($_GET['affid']))
{	 
	
	$bidid = $_GET['bidderid'];
	$pubid = $_GET['affid'];

	$getparam = OA_Dal_Delivery_query("SELECT 
	pv.account_id,
	hp.hb_bidder_id,
	hp.hb_parameter_id,
	hp.hb_parameter_name,
	pv.param_value,
	pv.parameter_id,
	hss.hb_sub_parameter_id,
	hss.hb_sub_parameter_name,
	hss.sub_param_value,
	hp.required AS prequired,
	hss.srequired AS srequired 
FROM {$table_prefix}djax_hb_params AS hp
LEFT JOIN {$table_prefix}djax_hb_param_value AS pv 
	ON pv.parameter_id = hp.hb_parameter_id 
LEFT JOIN (
	SELECT 
		hs.hb_parameter_id,
		STRING_AGG(hs.hb_sub_parameter_id::TEXT, ',') AS hb_sub_parameter_id,
		STRING_AGG(hs.hb_sub_parameter_name, ',') AS hb_sub_parameter_name,
		STRING_AGG(hs.required::TEXT, ',') AS srequired,
		STRING_AGG(sp.sub_param_value, ',') AS sub_param_value
	FROM {$table_prefix}djax_hb_sub_param AS hs 
	LEFT JOIN {$table_prefix}djax_hb_sub_param_value AS sp 
		ON sp.sub_para_id = hs.hb_sub_parameter_id 
	WHERE 
		hs.dj_is_denied = '0' 
		AND hs.dj_is_deleted = '0' 
		AND sp.dj_is_subparam_deleted = '0' 
		AND sp.dj_is_subparam_denied = '0' 
		AND sp.account_id = '$pubid' 
	GROUP BY hs.hb_parameter_id  
) AS hss 
ON hss.hb_parameter_id = hp.hb_parameter_id
WHERE 
	pv.account_id = '$pubid' 
	AND hp.hb_bidder_id = '$bidid' 
	AND pv.dj_is_denied = '0' 
ORDER BY hp.hb_parameter_id ASC");
	
	$getadid = "";
	$getadid = OA_Dal_Delivery_Query("Select parameter_id, ad_element_id from {$table_prefix}djax_hb_param_value where hb_bidder_id='".$bidid."' and account_id = ".$pubid);
	if(OA_Dal_Delivery_numRows($getadid) > 0)
	{
	while($get_param=OA_Dal_Delivery_fetchAssoc($getadid))
	{
		$paramid = $get_param['parameter_id'];
		if($get_param['ad_element_id'] == 1){
			$param[] = $paramid;
		}
	}
}
	
	if(isset($_REQUEST['zoneid'])) 
	{
		$zid = $_REQUEST['zoneid'];
	}
	$getval = [];			
	if(OA_Dal_Delivery_numRows($getparam) > 0)
	{
		while($get_param=OA_Dal_Delivery_fetchAssoc($getparam))
		{		
			$paramid = $get_param['hb_parameter_id'];
			$adunitId = 0;
			if($param){
				if(in_array($paramid, $param)){
					$adunitId = 1;
				}
			}
			
			$sparanamer = empty($get_param['hb_sub_parameter_name'])? 0 : 1;
			$sparavalr = empty($get_param['sub_param_value'])? 0 : 1;
			$getval[] = ['bidderid'=>$bidid,'paramid'=>$get_param['hb_parameter_id'],'paramname'=>$get_param['hb_parameter_name'],'paramval' =>$get_param['param_value'],'parareq'=> $get_param['prequired'],'sparaname' => $get_param['hb_sub_parameter_name'],'sparaid' => $get_param['hb_sub_parameter_id'],'sparaval'=>$get_param['sub_param_value'],'sparanamer'=>$sparanamer,'sparavalr'=>$sparavalr,'subparareq'=> $get_param['srequired'],'zid'=>$zid, 'adunitId' => $adunitId]; 	
		}			
	}
		
	echo json_encode($getval);
	exit;
}
